virtual/pkgconfig migration, additionally minor kismet cleanup and drop iw in favor of gentoo

This commit is contained in:
Zero_Chaos 2012-06-10 05:25:02 +00:00
parent b09f4217d7
commit 80371deaf3
44 changed files with 38 additions and 2139 deletions

View file

@ -1 +1 @@
EBUILD r2-bindings-9999.ebuild 1779 RMD160 4888b6bca6873dee2208a50781ab5afab5237d1e SHA1 ea180627440dfb7143eb748863c8c5fbd5287944 SHA256 30e94213763dc24b4a744211c85c627ca2894efc246eb3c896a767238ff05894
EBUILD r2-bindings-9999.ebuild 1778 RMD160 c603cfe70024f2712900a301b2bfd56e26aa3bcc SHA1 5b5a004faa337ee03d66bd3b853f25d28740b409 SHA256 7e745184af7731c355d053f2eae32ad466adc0f533faa76dd20c1d58c3363e12

View file

@ -24,7 +24,7 @@ RDEPEND="perl? ( dev-lang/perl )
DEPEND="${RDEPEND}
dev-util/radare2
dev-util/pkgconfig
virtual/pkgconfig
dev-util/valabind
dev-lang/swig
>=dev-lang/vala-0.14"

View file

@ -1,3 +1,3 @@
AUX gradare-fix-64bit.patch 384 RMD160 ce8b152b76e527e3adf0876151bf89a89ac88ca3 SHA1 ef9bd7bff09eabd5a767513daa60629a78c1437a SHA256 4ad9d3cf6d4c0adfd78d5332ad75caa92a9cb0ed3b3b0af1634b5c2b7b0ae9c5
DIST radare-1.5.2.tar.gz 1810391 RMD160 d5d2c9c6143e0a4fd197e0f149da1dd43d675bbf SHA1 b838776a85a7b7d56c10e4c94f3d0b37cebea72a SHA256 0d1a52a5478bf2d6fce7c650c28cc25050892ab7f31e76c4c2db6df72dabb9e1
EBUILD radare-1.5.2.ebuild 1317 RMD160 3a8baa19606ebae2173a336201120ed3240ece10 SHA1 4d108c24b52f74ee4070b73f7d45fbcef3c44520 SHA256 0bae220747e6ad94b813415620195983525c8b171da05700688dafee7e764467
EBUILD radare-1.5.2.ebuild 1316 RMD160 13e00e3ca38b80ed7bb89713fdfc2d7e56848f16 SHA1 03aca71ade6f7223ca3ced1ddee8c70e00ca0851 SHA256 b1e047baa35982f18f8f2aab2a9e71a5f568b946c2d466e4b0c25ae7bac0d116

View file

@ -26,7 +26,7 @@ RDEPEND="
readline? ( sys-libs/readline )
"
DEPEND="${RDEPEND}
dev-util/pkgconfig
virtual/pkgconfig
vala? ( >=dev-lang/vala-0.5:0 )
"

View file

@ -1,6 +1,6 @@
DIST radare2-0.8.8.tar.gz 1636896 RMD160 964490bedf4d606ff665a2b90e5713251741e022 SHA1 ccefbbe6a100c197357a247e90144e06e6466188 SHA256 e715daeadf837b2ab6043c02ec1d5a90ba7b5bfe3050874c5d208b896f8c08d9
DIST radare2-0.9.tar.gz 1721991 RMD160 f68ebf07ec62e907980e8f8bc195754bf993b466 SHA1 e77c85b001d9308f38a336b26544836fbe1d14dc SHA256 e12feea3b776601d7b680e64250897110cf4fca2f1214b4c527e13b7abe900e0
EBUILD radare2-0.8.8.ebuild 768 RMD160 fbbee6dfdab26a43990112c6a9d625a95997ece9 SHA1 b8a4bf8cc6ab3c33a6d8c67f43890f596e4f89a6 SHA256 21aad3ec3cadaa3917d43b5b2a14f040bffc350cec0af623eb3902b063ca1cba
EBUILD radare2-0.9.ebuild 866 RMD160 616368b7fb7910f93b7e94fd91fc5943f768ec79 SHA1 e1ad6cc3f1d0a0b8a786836fbcfe79f0ee7394af SHA256 371d3863aa15194713a80c061c1016b95beb345bdbb45a6e8ea42ccad57e0441
EBUILD radare2-9999.ebuild 854 RMD160 4d77639e10a2965bbc4f91f43c42bcf8188726ca SHA1 5930debaf1b788dc906e99a4306470014ab1efc4 SHA256 59061ce7e863ec69f6665fb32458147f341017dfe5f99d1d62e301e72621db4a
EBUILD radare2-0.8.8.ebuild 767 RMD160 0841e6be0dfff87d6685298137bc5c896a704a9c SHA1 230283651b49a5e046b391dc01bc7edd811bd8fe SHA256 ea2a5f2142196112c4e2bbb5e0c4477bf9587a3f65f1793c376de9aa7e3fb7d7
EBUILD radare2-0.9.ebuild 865 RMD160 84801e8f5ef688e714ffb13f3ec9535e01c3c95c SHA1 db2bb90f60dbd472b2c63d9c0359deac7d8c3da3 SHA256 5ada815c4760a912ad40face5bc60229a8caa0fccd8dfe11c3274a7aee8371e4
EBUILD radare2-9999.ebuild 853 RMD160 2266c3cddddaa959f6e926049ce8164ef78961ff SHA1 d279027dc6ddf803b789e5dfa52a15626ed383d1 SHA256 7c71c57c935390fdaf0e070868bec3f050b0091d1f605332892473fdc590667b
MISC metadata.xml 400 RMD160 ca5876eb42dedaa97f7e1161813d3fd871656257 SHA1 3e4ae5ba10cbeb4a1fbfb246d44e8884322726de SHA256 3cb6618513f20fe6a086c5f4931bd88e7cdf5bd721f0acb686641f1a1645b1f8

View file

@ -16,7 +16,7 @@ IUSE="readline"
RDEPEND="readline? ( sys-libs/readline )"
DEPEND="${RDEPEND}
dev-util/pkgconfig"
virtual/pkgconfig"
src_prepare() {
base_src_prepare

View file

@ -18,7 +18,7 @@ RDEPEND="ssl? ( dev-libs/openssl ) \
gmp? ( dev-libs/gmp ) \
"
DEPEND="${RDEPEND}
dev-util/pkgconfig"
virtual/pkgconfig"
src_configure() {
econf $(use ssl || echo --without-ssl ) \

View file

@ -18,7 +18,7 @@ RDEPEND="ssl? ( dev-libs/openssl ) \
gmp? ( dev-libs/gmp ) \
"
DEPEND="${RDEPEND}
dev-util/pkgconfig"
virtual/pkgconfig"
src_configure() {
econf $(use ssl || echo --without-ssl ) \

View file

@ -1 +1 @@
EBUILD valabind-9999.ebuild 756 RMD160 08d1d22b7af1bcffca58247ba5f09d1901cfae5d SHA1 950dc7e665021fc6c82dad77feb9c6ce17a24c38 SHA256 3abb6ad8f4e84cd1d811da85910a9833ce654859e8876492c460c4d96955aff6
EBUILD valabind-9999.ebuild 755 RMD160 4e245700bf094637beaa27d2829d3231d151e7d3 SHA1 a81eac95e68adf7308f4213e18ad0b03fc308c87 SHA256 c960b25afd6f7f2e56dbfe28579a2244400c9652cc6af139e20e421bb40d538d

View file

@ -17,7 +17,7 @@ IUSE=""
RDEPEND=">=dev-lang/vala-0.14
dev-lang/swig"
DEPEND="${RDEPEND}
dev-util/pkgconfig"
virtual/pkgconfig"
src_prepare() {
base_src_prepare

View file

@ -1,3 +1,3 @@
AUX nessus_callback_fix.patch 1623 RMD160 c1a8cfca3595154e33444a7f3b81730c99c4c27b SHA1 cc96364cf25a59d41492602841cdb5d66976b6ad SHA256 7372a1beadfd8bc918c385d9bdeb5094920353af0fa37f6ac1125df41ed7b4e4
DIST autoscan-network-1.50.tar.gz 1025240 RMD160 0ac307df5778397072efca228a46f0496e4adb02 SHA1 95b3430b6d9c0987fbd66d6b0af9821ee22dc607 SHA256 7358353b71ca4d00d1e8912c9e8f97a9d14aa44dda07649c9293c29530c4da01
EBUILD autoscan-network-1.50.ebuild 1784 RMD160 cfde95e995ff5bf06e80973fb9fcc3a61d2dd26e SHA1 ea9199840e77add293174fabd5ff0b8c90a2c8f4 SHA256 79e9249573f9bf79d0d99c93cacb8de6741ed345f2789cd8b74c038fb3e27cb3
EBUILD autoscan-network-1.50.ebuild 1783 RMD160 b7c5e11165f895cc8e97c5b4c44faf08a9385062 SHA1 6b2820fe57974f51b6b4fd4bd029f5d5af5c5b09 SHA256 d9c2297d1304837a5ae911bf67d56bc98b4246b27213855e33fc88df49e19f36

View file

@ -33,7 +33,7 @@ RDEPEND="net-analyzer/nmap
dev-libs/libelf"
DEPEND="${RDEPEND}
dev-util/pkgconfig"
virtual/pkgconfig"
src_prepare() {
sed -i 's| curl| libcurl|g' configure || die

View file

@ -4,7 +4,7 @@ AUX ettercap-0.7.4-flags.patch 1056 RMD160 7b379c494f74de959e60f4eecb3fa5283e25a
AUX ettercap-0.7.4-use-g-idle.patch 8155 RMD160 040ec1a60d0f7ea5ceba031ccc0e61dbf7a9d409 SHA1 097af10e52db2b9b45a7845488d3aa6ec531fa6a SHA256 a34cab87275cd11ba27a6b0bb2afe175f4220e8dc3fcc1a966ee286445577f87
DIST ettercap-0.7.4.1.tar.gz 2997353 RMD160 e2946f0e55efcac830148cd95e503ca65dba62d0 SHA1 f4263230a6065af96b33093f39ed9a387453e3b2 SHA256 b1110f471247cf0ac7b05bf6ddb5df12a246192b97b15d942583d0fd35cb8b52
DIST ettercap-0.7.4.tar.gz 2718877 RMD160 175655145148305132086876a3b43e5def2ee3de SHA1 28f43a1259c0b337de63a36657b4091f59667039 SHA256 9b5abd2dad2b6df91658086ceed6962a6b985ac25de8fa38f0195d68639ba55b
EBUILD ettercap-0.7.4-r1.ebuild 1383 RMD160 4875149adce234a8ba6b9156ddeaf8b40382ace6 SHA1 501bdc2adc51f8b30c077330722845569b2a9524 SHA256 280fcad09627798877f22734af956112c709a5c1e601a5c8e8e5986a23f1f237
EBUILD ettercap-0.7.4.1-r1.ebuild 1599 RMD160 1d5d7288bef30c3528f169fc93cf8d03d334d249 SHA1 644597bd280683b4a1c5301b570aae634e99fd9b SHA256 81f73e80c29feb57a7f1fe6c92b91d3d5c07fb142ae51eb10ce127bbfce6fd96
EBUILD ettercap-0.7.4-r1.ebuild 1382 RMD160 0aa227055c0fa46a7d03eee8d132822b19cb6321 SHA1 f1ad0f49812ced841d7bfbbf62198c705a9ed8c1 SHA256 a1383fc74fe15c91a90ca12b6f4a42e4ce1383234d14133f345782a78672b762
EBUILD ettercap-0.7.4.1-r1.ebuild 1598 RMD160 de910da5622902274a415c18e92465d55796fb09 SHA1 84cbccae5f5230e83dbc41599eadf88b37f5f800 SHA256 8785c8b1f366f6c8a087b7dcce2c166ea16aac1653085f24dc3c7b30b6e1eace
MISC ChangeLog 10752 RMD160 1c5e1ae6b737a7b10fbc009d7c43205394177274 SHA1 5d2d0f53953566ec6e50337b158f7d398373e166 SHA256 c3b682bd86d2eaae6a69651a7913020f00604dbf11c46305367e8313239486fd
MISC metadata.xml 159 RMD160 28e799fe0fd02aaab9d4bbe5595f133101606f5b SHA1 9f5df3eabd621951a959cc8e0e2e0d352cd1fe1e SHA256 b75c711bd971e46f0ec957e833c60879b0c5023e0bb94409a6255781b69f6dc6

View file

@ -28,7 +28,7 @@ RDEPEND=">=net-libs/libnet-1.1.2.1-r1
pcre? ( dev-libs/libpcre )
ssl? ( dev-libs/openssl )"
DEPEND="${RDEPEND}
dev-util/pkgconfig
virtual/pkgconfig
sys-devel/flex
virtual/yacc"

View file

@ -28,7 +28,7 @@ RDEPEND=">=net-libs/libnet-1.1.2.1-r1
pcre? ( dev-libs/libpcre )
ssl? ( dev-libs/openssl )"
DEPEND="${RDEPEND}
dev-util/pkgconfig
virtual/pkgconfig
sys-devel/flex
virtual/yacc"

View file

@ -5,28 +5,15 @@ AUX wireshark-1.6-btbb.patch 3815 RMD160 398923eeb443bec2f502bcc1276fa5bb1a215fa
AUX wireshark-1.6.4-build.patch 396 RMD160 fa909e374c80f0c637a459750d305cd636e7e18a SHA1 825cb721d7d30cfdec5f53e0b38fa7ee8891ec20 SHA256 8648c0eda8fd4393d4b0513c4d6673d0568b7341f920e55e7ebe7391d1e3b430
AUX wireshark-1.6.4-doc-build.patch 501 RMD160 65ea45bc7014c5f0bb556b3c964c45d2b0d2f582 SHA1 ea7c00ed98613581791c7c9e53f009efee5e6c08 SHA256 2ae9ad7ce2ceb1b7a2430ae71d04cdb4f9173d74e0d67667965226d8f43d1945
DIST libbtbb-0.6.tar.gz 50830 RMD160 6c26531a4b0ec01146113ddd69a4de4debea8436 SHA1 db1962540fc64dbf2a918338565bdbe7b33ab374 SHA256 084f3a78f396cfcf65fdcd7391110e8efe4473b954004558c63a9110ba721858
DIST libbtbb.0.5.tgz 137378 RMD160 c5d68e7620c901cf520e33fc747cc6a0b9535154 SHA1 5465d4520b267bad53c56a67260099e60439c922 SHA256 528cfd3822f98f539cf468d82c63b32c2063bcca53299befe14200723bec7d52
DIST wireshark-1.4.7.tar.bz2 20515206 RMD160 012ec4d7750c03bcc23e9140f31e778cde6fd645 SHA1 ba80ed0c2aa6a12fa50155bbf5b58ad41a46024e SHA256 6671a185d3cd5222a04b6c425d2ef70b84e50ebf50ace9738ae772e87bf492c1
DIST wireshark-1.6.0.tar.bz2 21820220 RMD160 d30ba785f8e8ac6d74b4f3f55f9e797a8bc0dec3 SHA1 c54ab0d77f6bbe6a2b7329de69ed10614d57aa35 SHA256 63a5fb15c4cf43495553a0568ecbab69ea94e4d189a75bc1297f6d090a92cdf7
DIST wireshark-1.6.0rc2.tar.bz2 21824421 RMD160 e67dddd9946585e510ea04ccddea74fe0c59d5a8 SHA1 014a87dd8c840612acb0de33a8400586157dbb0f SHA256 fb8c0ec8b2ed7e6544acaa6e6fd39f93996ab84e3afb0175af83771487e39632
DIST wireshark-1.6.2.tar.bz2 21408664 RMD160 e343d9bb5600b236dea708bb68ecad805a9ee20a SHA1 a18d4e8eaf56fe0214b19d7fde0eb91a06817a49 SHA256 5343f514ce98c28498ec4734e40e34e2bbf779a6c57d958837e3f70234471e7f
DIST wireshark-1.6.4.tar.bz2 21464517 RMD160 9437c416a5963aee1c049c0275bdfd3edd7488e8 SHA1 8abd7681e8c05841b7cf31d5dc83c1092c54e79f SHA256 7f98191f53d375f020312a99a9747ff3b846ac4029af4027fc883f685fabef5d
DIST wireshark-1.6.5.tar.bz2 21505901 RMD160 33c03112c1f97a94bc7306de918d882a29ada26d SHA1 42870fedaa6460681df30f6af9f18039a322b4a4 SHA256 151768199f9b50f5593b97025a33303df4d3b3983a203be89d8a1f5ba830bfcd
DIST wireshark-1.6.6.tar.bz2 21527655 RMD160 27a3d7fa7f78350dabb00d3ee382c335f7e110ae SHA1 0b60fd7d117e78292548fd50d71f750a5dca8b37 SHA256 44dae5898209ece3803c6ce7c9bbb8544b565dd301e8890a6a2213f4a6a2172e
DIST wireshark-1.6.7.tar.bz2 21524856 RMD160 20ced0176d0c2f7a856078d033ebf7ba531f7f57 SHA1 392c4f35cd8d16287ba9eba3afec226fcadd9746 SHA256 1e9d806d02ebfc3a70b948b4e82d19ba5bcde671eb229b18569149f95681f17b
DIST wireshark-1.6.8.tar.bz2 21967111 RMD160 858ee1bdcf61658356c1acd386135eb071205dd6 SHA1 fb79058c66944581b822e4d8370848f953cfc9d4 SHA256 d4fbaffa4fd32543ed1d03b3097bf89a7d492e6d02e9bf8f8aa8a71281f3057f
DIST wireshark-1.7.0.tar.bz2 22142779 RMD160 d65be41a4384b1754756b255330cc76e93cdd3af SHA1 e6da826833ece4efa0a257ea8aa8d5c7454dec62 SHA256 8b00ff9622d309d9848a078acafd59763dc341215b676b87fdeff98a7ccef89d
DIST wireshark-1.7.1.tar.bz2 23309339 RMD160 bf5ee54aa38b1767979702c083914e17843a6ade SHA1 8f49b60c971ffd4857cb05afa82e22152261645f SHA256 ee61a1217919fd51427d8e15e001f120e99975d1e677c578db7caea51637a2ba
EBUILD wireshark-1.4.7.ebuild 6637 RMD160 bc868901ecf0c492ab396d45fa0a5e711c04d224 SHA1 a6a81a9b0baf745f0d20cf680ee9e342cb07d0aa SHA256 3c84c5605bd450bb1043ded4dbfae1f5aaa4acf9053bc412ac1cc9666d9859ec
EBUILD wireshark-1.6.0.ebuild 6519 RMD160 cb8245bc3c977bba545288fa84097ce7b12d715a SHA1 d11215d8b9e927cfa40a98c4121da4c6cee4e467 SHA256 32f0d87480715a55ef0effeac65af5b20483567c34f6357c944db4f6f3cfd4d2
EBUILD wireshark-1.6.0_rc2.ebuild 6519 RMD160 cb8245bc3c977bba545288fa84097ce7b12d715a SHA1 d11215d8b9e927cfa40a98c4121da4c6cee4e467 SHA256 32f0d87480715a55ef0effeac65af5b20483567c34f6357c944db4f6f3cfd4d2
EBUILD wireshark-1.6.2.ebuild 6558 RMD160 80690cd07dbbd60f266e1bd51df368718085bca5 SHA1 f81c6637a31691bc5d95f62b9b7dcd98d6f0e870 SHA256 3824af5943f56508ceb1be65768dd8ffa036ad6f25c44ab7a571dba927524dcb
EBUILD wireshark-1.6.4.ebuild 6721 RMD160 c1bfc021232160dd1a63577ef9ffc31f124ccff3 SHA1 d921dc95d0255254d536ed7f3e079c2407eb9765 SHA256 ab5396cd49a0de9328a1cf2b32e3c1eeaaa435968041263141dc4826669c41d4
EBUILD wireshark-1.6.5.ebuild 6639 RMD160 aee0b79d7ff9087cf8e9bb4794707ad243c4db45 SHA1 994a2aab21fead417e275a6e5843ea750490e4b4 SHA256 7cd32c2ed6661e89cb320e98e51a58e2ef523e266067fc2907c37c01277c4e48
EBUILD wireshark-1.6.6.ebuild 6646 RMD160 3a8cdd4028d81b0c0876fcc4233336e943e01287 SHA1 7f23d00e1f9939c4928f92e69c88aad7e53a90a5 SHA256 00fc4577b282aa0dce8ed61c5620b8972e56a840e63ee650e82f73a33e848c1a
EBUILD wireshark-1.6.7.ebuild 6644 RMD160 8aad8d208bb4abea6cac8edd3fdb54e718c524ac SHA1 88b430e7cb80c52c0c1ba2bf8020286f47bea443 SHA256 96269550bf8c1a71dd3b7e51b3f718f85917ce6ec69613b0357660a4f684445c
EBUILD wireshark-1.6.8.ebuild 6644 RMD160 8aad8d208bb4abea6cac8edd3fdb54e718c524ac SHA1 88b430e7cb80c52c0c1ba2bf8020286f47bea443 SHA256 96269550bf8c1a71dd3b7e51b3f718f85917ce6ec69613b0357660a4f684445c
EBUILD wireshark-1.7.0.ebuild 6664 RMD160 c26d9a4504a701cb142a4e9fd82e4efd75b21b7f SHA1 6df58206e581e55446b75e6d5fde064aefd17aa5 SHA256 59e1913bc61ccfb947baf97f0e775955bcd5b755d134d078b8667afe2af5d369
EBUILD wireshark-1.7.1.ebuild 6664 RMD160 c26d9a4504a701cb142a4e9fd82e4efd75b21b7f SHA1 6df58206e581e55446b75e6d5fde064aefd17aa5 SHA256 59e1913bc61ccfb947baf97f0e775955bcd5b755d134d078b8667afe2af5d369
EBUILD wireshark-1.6.6.ebuild 6636 RMD160 2b65fd948532620903eca9aee43bbd23fdcf5db2 SHA1 a09973a08fa8ff7b707916f4d4d8ad5f10650457 SHA256 ef1305f0032f97eae3e82182389c37bf8f05572c448974bd1625c9f852ac6722
EBUILD wireshark-1.6.7.ebuild 6634 RMD160 51d7519a0f81748418283dbe726c8ef6bae1e0cb SHA1 f345ddbf3f04c1ca74cf87c94957c73acf0686f6 SHA256 b8ca3b84c4c918df7539bca61af17349a9ae62ad867b9659cf3183170416c15e
EBUILD wireshark-1.6.8.ebuild 6634 RMD160 51d7519a0f81748418283dbe726c8ef6bae1e0cb SHA1 f345ddbf3f04c1ca74cf87c94957c73acf0686f6 SHA256 b8ca3b84c4c918df7539bca61af17349a9ae62ad867b9659cf3183170416c15e
EBUILD wireshark-1.7.0.ebuild 6654 RMD160 668d64a18dca85848eb2854f7c54d5b92d7f3ae4 SHA1 b8115c08d0737bf352d3b9b96acd42d26c23ce39 SHA256 f0e1faf32ba19d3afb209ae439dd2c4a85785f0daf63ef06b856629620122357
EBUILD wireshark-1.7.1.ebuild 6654 RMD160 668d64a18dca85848eb2854f7c54d5b92d7f3ae4 SHA1 b8115c08d0737bf352d3b9b96acd42d26c23ce39 SHA256 f0e1faf32ba19d3afb209ae439dd2c4a85785f0daf63ef06b856629620122357
MISC ChangeLog 43087 RMD160 9e98d25e3064ba15ec05b126dd8d4003443ecceb SHA1 8416fd3639a9459545df2c89000dd3fb1e2a8119 SHA256 8ff0ab790e1dab3bf722cc1149a8bbb0e1de69e1785c086ae8eae0a257712b3e
MISC metadata.xml 2242 RMD160 66dbbb758acc194df17217183b60a56f61fced38 SHA1 4498ea4c0f0f04213fd1cba2fd3de44565058f7d SHA256 2dfaef45c385c37c7ae8af96f5d8c58d9bff8f6186d55be8f2d034ebd0c60869

View file

@ -1,223 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-analyzer/wireshark/wireshark-1.4.6-r1.ebuild,v 1.8 2011/05/15 13:41:04 pva Exp $
EAPI="3"
PYTHON_DEPEND="python? 2"
inherit libtool flag-o-matic eutils toolchain-funcs python autotools
[[ -n ${PV#*_rc} && ${PV#*_rc} != ${PV} ]] && MY_P=${PN}-${PV/_} || MY_P=${P}
DESCRIPTION="A network protocol analyzer formerly known as ethereal"
HOMEPAGE="http://www.wireshark.org/"
SRC_URI="http://www.wireshark.org/download/src/all-versions/${MY_P}.tar.bz2 \
btbb? ( mirror://sourceforge/libbtbb/libbtbb.0.5.tgz )"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 hppa ~ia64 ppc ppc64 ~sparc x86 ~x86-fbsd"
IUSE="adns ares btbb doc doc-pdf gtk ipv6 lua gcrypt geoip kerberos
profile +pcap pentoo portaudio python +caps selinux smi ssl threads zlib"
RDEPEND=">=dev-libs/glib-2.14:2
zlib? ( sys-libs/zlib
!=sys-libs/zlib-1.2.4 )
smi? ( net-libs/libsmi )
gtk? ( >=x11-libs/gtk+-2.4.0:2
x11-libs/pango
dev-libs/atk
x11-misc/xdg-utils )
ssl? ( net-libs/gnutls )
gcrypt? ( dev-libs/libgcrypt )
pcap? ( net-libs/libpcap )
caps? ( sys-libs/libcap )
kerberos? ( virtual/krb5 )
portaudio? ( media-libs/portaudio )
ares? ( >=net-dns/c-ares-1.5 )
!ares? ( adns? ( net-libs/adns ) )
geoip? ( dev-libs/geoip )
lua? ( >=dev-lang/lua-5.1 )
selinux? ( sec-policy/selinux-wireshark )"
DEPEND="${RDEPEND}
doc? ( dev-libs/libxslt
app-text/docbook-xml-dtd:4.2
dev-libs/libxml2
app-doc/doxygen
doc-pdf? ( dev-java/fop ) )
>=dev-util/pkgconfig-0.15.0
dev-lang/perl
sys-devel/bison
sys-apps/sed
sys-devel/flex"
S=${WORKDIR}/${MY_P}
# borrowed from GSoC2010_Gentoo_Capabilities by constanze and flameyeys
# @FUNCTION: fcaps
# @USAGE: fcaps {uid:gid} {file-mode} {cap1[,cap2,...]} {file}
# @RETURN: 0 if all okay; non-zero if failure and fallback
# @DESCRIPTION:
# fcaps sets the specified capabilities in the effective and permitted set of
# the given file. In case of failure fcaps sets the given file-mode.
fcaps() {
local uid_gid=$1
local perms=$2
local capset=$3
local path=$4
local res
chmod $perms $path && \
chown $uid_gid $path
res=$?
use caps || return $res
#set the capability
setcap "$capset=ep" "$path" &> /dev/null
#check if the capabilitiy got set correctly
setcap -v "$capset=ep" "$path" &> /dev/null
res=$?
if [ $res -ne 0 ]; then
ewarn "Failed to set capabilities. Probable reason is missed kernel support."
ewarn "Kernel must have SECURITY_FILE_CAPABILITIES, and <FS>_FS_SECURITY"
ewarn "enabled (e.g. EXT3_FS_SECURITY) where <FS> is the filesystem to store"
ewarn "${path}"
ewarn
ewarn "Falling back to suid now..."
chmod u+s ${path}
fi
return $res
}
pkg_setup() {
if ! use gtk; then
ewarn "USE=-gtk disables gtk-based gui called wireshark."
ewarn "Only command line utils will be built available"
fi
if use python; then
python_set_active_version 2
python_pkg_setup
fi
# Add group for users allowed to sniff.
enewgroup wireshark
}
src_prepare() {
epatch "${FILESDIR}/${P}-gnutls_nettle.patch"
epatch "${FILESDIR}"/${P}-wspy_dissectors_dir.patch
use btbb && mv "${WORKDIR}"/libbtbb/wireshark/plugins/btbb "${S}"/plugins/
use btbb && epatch "${FILESDIR}/${P}-btbb.patch"
eautoreconf
}
src_configure() {
local myconf
if [[ $(gcc-major-version) -lt 3 ||
( $(gcc-major-version) -eq 3 &&
$(gcc-minor-version) -le 4 ) ]] ; then
die "Unsupported compiler version, please upgrade."
fi
if use ares && use adns; then
elog "You asked for both, ares and adns, but we can use only one of them."
elog "c-ares supersedes adns resolver thus using c-ares (ares USE flag)."
myconf="$(use_with ares c-ares) --without-adns"
else
myconf="$(use_with adns) $(use_with ares c-ares)"
fi
# profile and pie are incompatible #215806, #292991
if use profile; then
ewarn "You've enabled the 'profile' USE flag, building PIE binaries is disabled."
ewarn "Also ignore \"unrecognized option '-nopie'\" gcc warning #358101."
append-flags $(test-flags-CC -nopie)
fi
# Workaround bug #213705. If krb5-config --libs has -lcrypto then pass
# --with-ssl to ./configure. (Mimics code from acinclude.m4).
if use kerberos; then
case `krb5-config --libs` in
*-lcrypto*)
ewarn "Kerberos was built with ssl support: linkage with openssl is enabled."
ewarn "Note there are annoying license incompatibilities between the OpenSSL"
ewarn "license and the GPL, so do your check before distributing such package."
myconf+=" --with-ssl"
;;
esac
fi
# Hack around inability to disable doxygen/fop doc generation
use doc || export ac_cv_prog_HAVE_DOXYGEN=false
use doc-pdf || export ac_cv_prog_HAVE_FOP=false
# dumpcap requires libcap, setuid-install requires dumpcap
econf $(use_enable gtk wireshark) \
$(use_enable profile profile-build) \
$(use_with ssl gnutls) \
$(use_with gcrypt) \
$(use_enable ipv6) \
$(use_enable threads) \
$(use_with lua) \
$(use_with kerberos krb5) \
$(use_with smi libsmi) \
$(use_with pcap) \
$(use_with zlib) \
$(use_with geoip) \
$(use_with portaudio) \
$(use_with python) \
$(use_with caps libcap) \
$(use pcap && use_enable caps setcap-install) \
$(use pcap && use_enable !caps setuid-install) \
--sysconfdir=/etc/wireshark \
--with-dumpcap-group=wireshark \
--disable-extra-gcc-checks \
${myconf}
}
src_compile() {
emake || die
use doc && cd docbook && { emake || die; }
}
src_install() {
emake DESTDIR="${D}" install || die "emake install failed"
if use doc; then
dohtml -r docbook/{release-notes.html,ws{d,u}g_html{,_chunked}}
if use doc-pdf; then
insinto /usr/share/doc/${PF}/pdf/
doins docbook/{{developer,user}-guide,release-notes}-{a4,us}.pdf || die
fi
fi
# FAQ is not required as is installed from help/faq.txt
dodoc AUTHORS ChangeLog NEWS README{,.bsd,.linux,.macos,.vmware} \
doc/{randpkt.txt,README*}
insinto /usr/include/wiretap
doins wiretap/wtap.h || die
if use gtk; then
for c in hi lo; do
for d in 16 32 48; do
insinto /usr/share/icons/${c}color/${d}x${d}/apps
newins image/${c}${d}-app-wireshark.png wireshark.png
done
done
domenu wireshark.desktop || die
fi
chmod o-x "${ED}"/usr/bin/dumpcap #357237
}
pkg_postinst() {
if use caps && use pcap; then
fcaps 0:wireshark 550 cap_net_raw,cap_net_admin "${ROOT}"/usr/bin/dumpcap
fi
echo
ewarn "NOTE: To run wireshark as normal user you have to add yourself to"
ewarn "the wireshark group. This security measure ensures that only trusted"
ewarn "users are allowed to sniff your traffic."
echo
}

View file

@ -1,219 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-analyzer/wireshark/wireshark-1.6.0_rc1.ebuild,v 1.1 2011/05/24 10:44:24 pva Exp $
EAPI="3"
PYTHON_DEPEND="python? 2"
inherit libtool flag-o-matic eutils toolchain-funcs python autotools
[[ -n ${PV#*_rc} && ${PV#*_rc} != ${PV} ]] && MY_P=${PN}-${PV/_} || MY_P=${P}
DESCRIPTION="A network protocol analyzer formerly known as ethereal"
HOMEPAGE="http://www.wireshark.org/"
SRC_URI="http://www.wireshark.org/download/src/all-versions/${MY_P}.tar.bz2 \
btbb? ( mirror://sourceforge/libbtbb/libbtbb.0.5.tgz )"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
IUSE="adns ares btbb doc doc-pdf gtk ipv6 lua gcrypt geoip kerberos
profile +pcap portaudio python +caps selinux smi ssl threads zlib"
RDEPEND=">=dev-libs/glib-2.14:2
zlib? ( sys-libs/zlib
!=sys-libs/zlib-1.2.4 )
smi? ( net-libs/libsmi )
gtk? ( >=x11-libs/gtk+-2.4.0:2
x11-libs/pango
dev-libs/atk
x11-misc/xdg-utils )
ssl? ( net-libs/gnutls )
gcrypt? ( dev-libs/libgcrypt )
pcap? ( net-libs/libpcap )
caps? ( sys-libs/libcap )
kerberos? ( virtual/krb5 )
portaudio? ( media-libs/portaudio )
ares? ( >=net-dns/c-ares-1.5 )
!ares? ( adns? ( net-libs/adns ) )
geoip? ( dev-libs/geoip )
lua? ( >=dev-lang/lua-5.1 )
selinux? ( sec-policy/selinux-wireshark )"
DEPEND="${RDEPEND}
doc? ( dev-libs/libxslt
dev-libs/libxml2
app-doc/doxygen
doc-pdf? ( dev-java/fop ) )
>=dev-util/pkgconfig-0.15.0
dev-lang/perl
sys-devel/bison
sys-apps/sed
sys-devel/flex"
S=${WORKDIR}/${MY_P}
# borrowed from GSoC2010_Gentoo_Capabilities by constanze and flameyeys
# @FUNCTION: fcaps
# @USAGE: fcaps {uid:gid} {file-mode} {cap1[,cap2,...]} {file}
# @RETURN: 0 if all okay; non-zero if failure and fallback
# @DESCRIPTION:
# fcaps sets the specified capabilities in the effective and permitted set of
# the given file. In case of failure fcaps sets the given file-mode.
fcaps() {
local uid_gid=$1
local perms=$2
local capset=$3
local path=$4
local res
chmod $perms $path && \
chown $uid_gid $path
res=$?
use caps || return $res
#set the capability
setcap "$capset=ep" "$path" &> /dev/null
#check if the capabilitiy got set correctly
setcap -v "$capset=ep" "$path" &> /dev/null
res=$?
if [ $res -ne 0 ]; then
ewarn "Failed to set capabilities. Probable reason is missed kernel support."
ewarn "Kernel must have SECURITY_FILE_CAPABILITIES, and <FS>_FS_SECURITY"
ewarn "enabled (e.g. EXT3_FS_SECURITY) where <FS> is the filesystem to store"
ewarn "${path}"
ewarn
ewarn "Falling back to suid now..."
chmod u+s ${path}
fi
return $res
}
pkg_setup() {
if ! use gtk; then
ewarn "USE=-gtk disables gtk-based gui called wireshark."
ewarn "Only command line utils will be built available"
fi
if use python; then
python_set_active_version 2
python_pkg_setup
fi
# Add group for users allowed to sniff.
enewgroup wireshark
}
src_prepare() {
use btbb && mv "${WORKDIR}"/libbtbb/wireshark/plugins/btbb "${S}"/plugins/
use btbb && epatch "${FILESDIR}/${PN}-1.6-btbb.patch"
eautoreconf
}
src_configure() {
local myconf
if [[ $(gcc-major-version) -lt 3 ||
( $(gcc-major-version) -eq 3 &&
$(gcc-minor-version) -le 4 ) ]] ; then
die "Unsupported compiler version, please upgrade."
fi
if use ares && use adns; then
elog "You asked for both, ares and adns, but we can use only one of them."
elog "c-ares supersedes adns resolver thus using c-ares (ares USE flag)."
myconf="$(use_with ares c-ares) --without-adns"
else
myconf="$(use_with adns) $(use_with ares c-ares)"
fi
# profile and pie are incompatible #215806, #292991
if use profile; then
ewarn "You've enabled the 'profile' USE flag, building PIE binaries is disabled."
ewarn "Also ignore \"unrecognized option '-nopie'\" gcc warning #358101."
append-flags $(test-flags-CC -nopie)
fi
# Workaround bug #213705. If krb5-config --libs has -lcrypto then pass
# --with-ssl to ./configure. (Mimics code from acinclude.m4).
if use kerberos; then
case `krb5-config --libs` in
*-lcrypto*)
ewarn "Kerberos was built with ssl support: linkage with openssl is enabled."
ewarn "Note there are annoying license incompatibilities between the OpenSSL"
ewarn "license and the GPL, so do your check before distributing such package."
myconf+=" --with-ssl"
;;
esac
fi
# Hack around inability to disable doxygen/fop doc generation
use doc || export ac_cv_prog_HAVE_DOXYGEN=false
use doc-pdf || export ac_cv_prog_HAVE_FOP=false
# dumpcap requires libcap, setuid-install requires dumpcap
econf $(use_enable gtk wireshark) \
$(use_enable profile profile-build) \
$(use_with ssl gnutls) \
$(use_with gcrypt) \
$(use_enable ipv6) \
$(use_enable threads) \
$(use_with lua) \
$(use_with kerberos krb5) \
$(use_with smi libsmi) \
$(use_with zlib) \
$(use_with geoip) \
$(use_with portaudio) \
$(use_with python) \
$(use_with caps libcap) \
$(use_with pcap) \
$(use_with pcap dumpcap-group wireshark) \
$(use pcap && use_enable caps setcap-install) \
$(use pcap && use_enable !caps setuid-install) \
--sysconfdir=/etc/wireshark \
--disable-extra-gcc-checks \
${myconf}
}
src_compile() {
emake || die
use doc && cd docbook && { emake || die; }
}
src_install() {
emake DESTDIR="${D}" install || die "emake install failed"
if use doc; then
dohtml -r docbook/{release-notes.html,ws{d,u}g_html{,_chunked}}
if use doc-pdf; then
insinto /usr/share/doc/${PF}/pdf/
doins docbook/{{developer,user}-guide,release-notes}-{a4,us}.pdf || die
fi
fi
# FAQ is not required as is installed from help/faq.txt
dodoc AUTHORS ChangeLog NEWS README{,.bsd,.linux,.macos,.vmware} \
doc/{randpkt.txt,README*}
insinto /usr/include/wiretap
doins wiretap/wtap.h || die
if use gtk; then
for c in hi lo; do
for d in 16 32 48; do
insinto /usr/share/icons/${c}color/${d}x${d}/apps
newins image/${c}${d}-app-wireshark.png wireshark.png
done
done
domenu wireshark.desktop || die
fi
chmod o-x "${ED}"/usr/bin/dumpcap #357237
}
pkg_postinst() {
if use caps && use pcap; then
fcaps 0:wireshark 550 cap_net_raw,cap_net_admin "${ROOT}"/usr/bin/dumpcap
fi
echo
ewarn "NOTE: To run wireshark as normal user you have to add yourself to"
ewarn "the wireshark group. This security measure ensures that only trusted"
ewarn "users are allowed to sniff your traffic."
echo
}

View file

@ -1,219 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-analyzer/wireshark/wireshark-1.6.0_rc1.ebuild,v 1.1 2011/05/24 10:44:24 pva Exp $
EAPI="3"
PYTHON_DEPEND="python? 2"
inherit libtool flag-o-matic eutils toolchain-funcs python autotools
[[ -n ${PV#*_rc} && ${PV#*_rc} != ${PV} ]] && MY_P=${PN}-${PV/_} || MY_P=${P}
DESCRIPTION="A network protocol analyzer formerly known as ethereal"
HOMEPAGE="http://www.wireshark.org/"
SRC_URI="http://www.wireshark.org/download/src/all-versions/${MY_P}.tar.bz2 \
btbb? ( mirror://sourceforge/libbtbb/libbtbb.0.5.tgz )"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
IUSE="adns ares btbb doc doc-pdf gtk ipv6 lua gcrypt geoip kerberos
profile +pcap portaudio python +caps selinux smi ssl threads zlib"
RDEPEND=">=dev-libs/glib-2.14:2
zlib? ( sys-libs/zlib
!=sys-libs/zlib-1.2.4 )
smi? ( net-libs/libsmi )
gtk? ( >=x11-libs/gtk+-2.4.0:2
x11-libs/pango
dev-libs/atk
x11-misc/xdg-utils )
ssl? ( net-libs/gnutls )
gcrypt? ( dev-libs/libgcrypt )
pcap? ( net-libs/libpcap )
caps? ( sys-libs/libcap )
kerberos? ( virtual/krb5 )
portaudio? ( media-libs/portaudio )
ares? ( >=net-dns/c-ares-1.5 )
!ares? ( adns? ( net-libs/adns ) )
geoip? ( dev-libs/geoip )
lua? ( >=dev-lang/lua-5.1 )
selinux? ( sec-policy/selinux-wireshark )"
DEPEND="${RDEPEND}
doc? ( dev-libs/libxslt
dev-libs/libxml2
app-doc/doxygen
doc-pdf? ( dev-java/fop ) )
>=dev-util/pkgconfig-0.15.0
dev-lang/perl
sys-devel/bison
sys-apps/sed
sys-devel/flex"
S=${WORKDIR}/${MY_P}
# borrowed from GSoC2010_Gentoo_Capabilities by constanze and flameyeys
# @FUNCTION: fcaps
# @USAGE: fcaps {uid:gid} {file-mode} {cap1[,cap2,...]} {file}
# @RETURN: 0 if all okay; non-zero if failure and fallback
# @DESCRIPTION:
# fcaps sets the specified capabilities in the effective and permitted set of
# the given file. In case of failure fcaps sets the given file-mode.
fcaps() {
local uid_gid=$1
local perms=$2
local capset=$3
local path=$4
local res
chmod $perms $path && \
chown $uid_gid $path
res=$?
use caps || return $res
#set the capability
setcap "$capset=ep" "$path" &> /dev/null
#check if the capabilitiy got set correctly
setcap -v "$capset=ep" "$path" &> /dev/null
res=$?
if [ $res -ne 0 ]; then
ewarn "Failed to set capabilities. Probable reason is missed kernel support."
ewarn "Kernel must have SECURITY_FILE_CAPABILITIES, and <FS>_FS_SECURITY"
ewarn "enabled (e.g. EXT3_FS_SECURITY) where <FS> is the filesystem to store"
ewarn "${path}"
ewarn
ewarn "Falling back to suid now..."
chmod u+s ${path}
fi
return $res
}
pkg_setup() {
if ! use gtk; then
ewarn "USE=-gtk disables gtk-based gui called wireshark."
ewarn "Only command line utils will be built available"
fi
if use python; then
python_set_active_version 2
python_pkg_setup
fi
# Add group for users allowed to sniff.
enewgroup wireshark
}
src_prepare() {
use btbb && mv "${WORKDIR}"/libbtbb/wireshark/plugins/btbb "${S}"/plugins/
use btbb && epatch "${FILESDIR}/${PN}-1.6-btbb.patch"
eautoreconf
}
src_configure() {
local myconf
if [[ $(gcc-major-version) -lt 3 ||
( $(gcc-major-version) -eq 3 &&
$(gcc-minor-version) -le 4 ) ]] ; then
die "Unsupported compiler version, please upgrade."
fi
if use ares && use adns; then
elog "You asked for both, ares and adns, but we can use only one of them."
elog "c-ares supersedes adns resolver thus using c-ares (ares USE flag)."
myconf="$(use_with ares c-ares) --without-adns"
else
myconf="$(use_with adns) $(use_with ares c-ares)"
fi
# profile and pie are incompatible #215806, #292991
if use profile; then
ewarn "You've enabled the 'profile' USE flag, building PIE binaries is disabled."
ewarn "Also ignore \"unrecognized option '-nopie'\" gcc warning #358101."
append-flags $(test-flags-CC -nopie)
fi
# Workaround bug #213705. If krb5-config --libs has -lcrypto then pass
# --with-ssl to ./configure. (Mimics code from acinclude.m4).
if use kerberos; then
case `krb5-config --libs` in
*-lcrypto*)
ewarn "Kerberos was built with ssl support: linkage with openssl is enabled."
ewarn "Note there are annoying license incompatibilities between the OpenSSL"
ewarn "license and the GPL, so do your check before distributing such package."
myconf+=" --with-ssl"
;;
esac
fi
# Hack around inability to disable doxygen/fop doc generation
use doc || export ac_cv_prog_HAVE_DOXYGEN=false
use doc-pdf || export ac_cv_prog_HAVE_FOP=false
# dumpcap requires libcap, setuid-install requires dumpcap
econf $(use_enable gtk wireshark) \
$(use_enable profile profile-build) \
$(use_with ssl gnutls) \
$(use_with gcrypt) \
$(use_enable ipv6) \
$(use_enable threads) \
$(use_with lua) \
$(use_with kerberos krb5) \
$(use_with smi libsmi) \
$(use_with zlib) \
$(use_with geoip) \
$(use_with portaudio) \
$(use_with python) \
$(use_with caps libcap) \
$(use_with pcap) \
$(use_with pcap dumpcap-group wireshark) \
$(use pcap && use_enable caps setcap-install) \
$(use pcap && use_enable !caps setuid-install) \
--sysconfdir=/etc/wireshark \
--disable-extra-gcc-checks \
${myconf}
}
src_compile() {
emake || die
use doc && cd docbook && { emake || die; }
}
src_install() {
emake DESTDIR="${D}" install || die "emake install failed"
if use doc; then
dohtml -r docbook/{release-notes.html,ws{d,u}g_html{,_chunked}}
if use doc-pdf; then
insinto /usr/share/doc/${PF}/pdf/
doins docbook/{{developer,user}-guide,release-notes}-{a4,us}.pdf || die
fi
fi
# FAQ is not required as is installed from help/faq.txt
dodoc AUTHORS ChangeLog NEWS README{,.bsd,.linux,.macos,.vmware} \
doc/{randpkt.txt,README*}
insinto /usr/include/wiretap
doins wiretap/wtap.h || die
if use gtk; then
for c in hi lo; do
for d in 16 32 48; do
insinto /usr/share/icons/${c}color/${d}x${d}/apps
newins image/${c}${d}-app-wireshark.png wireshark.png
done
done
domenu wireshark.desktop || die
fi
chmod o-x "${ED}"/usr/bin/dumpcap #357237
}
pkg_postinst() {
if use caps && use pcap; then
fcaps 0:wireshark 550 cap_net_raw,cap_net_admin "${ROOT}"/usr/bin/dumpcap
fi
echo
ewarn "NOTE: To run wireshark as normal user you have to add yourself to"
ewarn "the wireshark group. This security measure ensures that only trusted"
ewarn "users are allowed to sniff your traffic."
echo
}

View file

@ -1,220 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-analyzer/wireshark/wireshark-1.6.2.ebuild,v 1.1 2011/09/12 18:55:52 pva Exp $
EAPI="3"
PYTHON_DEPEND="python? 2"
inherit libtool flag-o-matic eutils toolchain-funcs python autotools
[[ -n ${PV#*_rc} && ${PV#*_rc} != ${PV} ]] && MY_P=${PN}-${PV/_} || MY_P=${P}
DESCRIPTION="A network protocol analyzer formerly known as ethereal"
HOMEPAGE="http://www.wireshark.org/"
SRC_URI="http://www.wireshark.org/download/src/all-versions/${MY_P}.tar.bz2 \
btbb? ( mirror://sourceforge/libbtbb/libbtbb-0.6.tar.gz )"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
IUSE="adns ares btbb doc doc-pdf gtk ipv6 lua gcrypt geoip kerberos
profile +pcap portaudio python +caps selinux smi ssl threads zlib"
RDEPEND=">=dev-libs/glib-2.14:2
zlib? ( sys-libs/zlib
!=sys-libs/zlib-1.2.4 )
smi? ( net-libs/libsmi )
gtk? ( >=x11-libs/gtk+-2.4.0:2
x11-libs/pango
dev-libs/atk
x11-misc/xdg-utils )
ssl? ( net-libs/gnutls )
gcrypt? ( dev-libs/libgcrypt )
pcap? ( net-libs/libpcap )
caps? ( sys-libs/libcap )
kerberos? ( virtual/krb5 )
portaudio? ( media-libs/portaudio )
ares? ( >=net-dns/c-ares-1.5 )
!ares? ( adns? ( net-libs/adns ) )
geoip? ( dev-libs/geoip )
lua? ( >=dev-lang/lua-5.1 )
selinux? ( sec-policy/selinux-wireshark )"
DEPEND="${RDEPEND}
doc? ( dev-libs/libxslt
dev-libs/libxml2
app-doc/doxygen
doc-pdf? ( dev-java/fop ) )
>=dev-util/pkgconfig-0.15.0
dev-lang/perl
sys-devel/bison
sys-apps/sed
sys-devel/flex
!!<net-analyzer/wireshark-1.6.0_rc1"
S=${WORKDIR}/${MY_P}
# borrowed from GSoC2010_Gentoo_Capabilities by constanze and flameyeys
# @FUNCTION: fcaps
# @USAGE: fcaps {uid:gid} {file-mode} {cap1[,cap2,...]} {file}
# @RETURN: 0 if all okay; non-zero if failure and fallback
# @DESCRIPTION:
# fcaps sets the specified capabilities in the effective and permitted set of
# the given file. In case of failure fcaps sets the given file-mode.
fcaps() {
local uid_gid=$1
local perms=$2
local capset=$3
local path=$4
local res
chmod $perms $path && \
chown $uid_gid $path
res=$?
use caps || return $res
#set the capability
setcap "$capset=ep" "$path" &> /dev/null
#check if the capabilitiy got set correctly
setcap -v "$capset=ep" "$path" &> /dev/null
res=$?
if [ $res -ne 0 ]; then
ewarn "Failed to set capabilities. Probable reason is missed kernel support."
ewarn "Kernel must have SECURITY_FILE_CAPABILITIES, and <FS>_FS_SECURITY"
ewarn "enabled (e.g. EXT3_FS_SECURITY) where <FS> is the filesystem to store"
ewarn "${path}"
ewarn
ewarn "Falling back to suid now..."
chmod u+s ${path}
fi
return $res
}
pkg_setup() {
if ! use gtk; then
ewarn "USE=-gtk disables gtk-based gui called wireshark."
ewarn "Only command line utils will be built available"
fi
if use python; then
python_set_active_version 2
python_pkg_setup
fi
# Add group for users allowed to sniff.
enewgroup wireshark
}
src_prepare() {
use btbb && mv "${WORKDIR}"/libbtbb-0.6/wireshark/plugins/btbb "${S}"/plugins/
use btbb && epatch "${FILESDIR}/${PN}-1.6-btbb.patch"
eautoreconf
}
src_configure() {
local myconf
if [[ $(gcc-major-version) -lt 3 ||
( $(gcc-major-version) -eq 3 &&
$(gcc-minor-version) -le 4 ) ]] ; then
die "Unsupported compiler version, please upgrade."
fi
if use ares && use adns; then
elog "You asked for both, ares and adns, but we can use only one of them."
elog "c-ares supersedes adns resolver thus using c-ares (ares USE flag)."
myconf="$(use_with ares c-ares) --without-adns"
else
myconf="$(use_with adns) $(use_with ares c-ares)"
fi
# profile and pie are incompatible #215806, #292991
if use profile; then
ewarn "You've enabled the 'profile' USE flag, building PIE binaries is disabled."
ewarn "Also ignore \"unrecognized option '-nopie'\" gcc warning #358101."
append-flags $(test-flags-CC -nopie)
fi
# Workaround bug #213705. If krb5-config --libs has -lcrypto then pass
# --with-ssl to ./configure. (Mimics code from acinclude.m4).
if use kerberos; then
case `krb5-config --libs` in
*-lcrypto*)
ewarn "Kerberos was built with ssl support: linkage with openssl is enabled."
ewarn "Note there are annoying license incompatibilities between the OpenSSL"
ewarn "license and the GPL, so do your check before distributing such package."
myconf+=" --with-ssl"
;;
esac
fi
# Hack around inability to disable doxygen/fop doc generation
use doc || export ac_cv_prog_HAVE_DOXYGEN=false
use doc-pdf || export ac_cv_prog_HAVE_FOP=false
# dumpcap requires libcap, setuid-install requires dumpcap
econf $(use_enable gtk wireshark) \
$(use_enable profile profile-build) \
$(use_with ssl gnutls) \
$(use_with gcrypt) \
$(use_enable ipv6) \
$(use_enable threads) \
$(use_with lua) \
$(use_with kerberos krb5) \
$(use_with smi libsmi) \
$(use_with zlib) \
$(use_with geoip) \
$(use_with portaudio) \
$(use_with python) \
$(use_with caps libcap) \
$(use_with pcap) \
$(use_with pcap dumpcap-group wireshark) \
$(use pcap && use_enable caps setcap-install) \
$(use pcap && use_enable !caps setuid-install) \
--sysconfdir=/etc/wireshark \
--disable-extra-gcc-checks \
${myconf}
}
src_compile() {
emake || die
use doc && cd docbook && { emake || die; }
}
src_install() {
emake DESTDIR="${D}" install || die "emake install failed"
if use doc; then
dohtml -r docbook/{release-notes.html,ws{d,u}g_html{,_chunked}}
if use doc-pdf; then
insinto /usr/share/doc/${PF}/pdf/
doins docbook/{{developer,user}-guide,release-notes}-{a4,us}.pdf || die
fi
fi
# FAQ is not required as is installed from help/faq.txt
dodoc AUTHORS ChangeLog NEWS README{,.bsd,.linux,.macos,.vmware} \
doc/{randpkt.txt,README*}
insinto /usr/include/wiretap
doins wiretap/wtap.h || die
if use gtk; then
for c in hi lo; do
for d in 16 32 48; do
insinto /usr/share/icons/${c}color/${d}x${d}/apps
newins image/${c}${d}-app-wireshark.png wireshark.png
done
done
domenu wireshark.desktop || die
fi
chmod o-x "${ED}"/usr/bin/dumpcap #357237
}
pkg_postinst() {
if use caps && use pcap; then
fcaps 0:wireshark 550 cap_net_raw,cap_net_admin "${ROOT}"/usr/bin/dumpcap
fi
echo
ewarn "NOTE: To run wireshark as normal user you have to add yourself to"
ewarn "the wireshark group. This security measure ensures that only trusted"
ewarn "users are allowed to sniff your traffic."
echo
}

View file

@ -1,223 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-analyzer/wireshark/wireshark-1.6.4.ebuild,v 1.8 2012/01/06 18:52:52 armin76 Exp $
EAPI="3"
PYTHON_DEPEND="python? 2"
inherit libtool flag-o-matic eutils toolchain-funcs python autotools
[[ -n ${PV#*_rc} && ${PV#*_rc} != ${PV} ]] && MY_P=${PN}-${PV/_} || MY_P=${P}
DESCRIPTION="A network protocol analyzer formerly known as ethereal"
HOMEPAGE="http://www.wireshark.org/"
SRC_URI="http://www.wireshark.org/download/src/all-versions/${MY_P}.tar.bz2 \
btbb? ( mirror://sourceforge/libbtbb/libbtbb-0.6.tar.gz )"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 hppa ia64 ppc ppc64 sparc x86 ~x86-fbsd"
IUSE="adns ares btbb doc doc-pdf gtk ipv6 lua gcrypt geoip kerberos
profile +pcap portaudio python +caps selinux smi ssl threads zlib"
RDEPEND=">=dev-libs/glib-2.14:2
zlib? ( sys-libs/zlib
!=sys-libs/zlib-1.2.4 )
smi? ( net-libs/libsmi )
gtk? ( >=x11-libs/gtk+-2.4.0:2
x11-libs/pango
dev-libs/atk
x11-misc/xdg-utils )
ssl? ( net-libs/gnutls )
gcrypt? ( dev-libs/libgcrypt )
pcap? ( net-libs/libpcap )
caps? ( sys-libs/libcap )
kerberos? ( virtual/krb5 )
portaudio? ( media-libs/portaudio )
ares? ( >=net-dns/c-ares-1.5 )
!ares? ( adns? ( net-libs/adns ) )
geoip? ( dev-libs/geoip )
lua? ( >=dev-lang/lua-5.1 )
selinux? ( sec-policy/selinux-wireshark )"
DEPEND="${RDEPEND}
doc? ( dev-libs/libxslt
dev-libs/libxml2
app-doc/doxygen
doc-pdf? ( dev-java/fop ) )
>=dev-util/pkgconfig-0.15.0
dev-lang/perl
sys-devel/bison
sys-apps/sed
sys-devel/flex
!!<net-analyzer/wireshark-1.6.0_rc1"
S=${WORKDIR}/${MY_P}
# borrowed from GSoC2010_Gentoo_Capabilities by constanze and flameyeys
# @FUNCTION: fcaps
# @USAGE: fcaps {uid:gid} {file-mode} {cap1[,cap2,...]} {file}
# @RETURN: 0 if all okay; non-zero if failure and fallback
# @DESCRIPTION:
# fcaps sets the specified capabilities in the effective and permitted set of
# the given file. In case of failure fcaps sets the given file-mode.
fcaps() {
local uid_gid=$1
local perms=$2
local capset=$3
local path=$4
local res
chmod $perms $path && \
chown $uid_gid $path
res=$?
use caps || return $res
#set the capability
setcap "$capset=ep" "$path" &> /dev/null
#check if the capabilitiy got set correctly
setcap -v "$capset=ep" "$path" &> /dev/null
res=$?
if [ $res -ne 0 ]; then
ewarn "Failed to set capabilities. Probable reason is missed kernel support."
ewarn "Kernel must have <FS>_FS_SECURITY enabled where <FS> is the filesystem"
ewarn "to store ${path} (e.g. EXT3_FS_SECURITY). For kernels version before"
ewarn "2.6.33_rc1 SECURITY_FILE_CAPABILITIES must be enabled as well."
ewarn
ewarn "Falling back to suid now..."
chmod u+s ${path}
fi
return $res
}
pkg_setup() {
if ! use gtk; then
ewarn "USE=-gtk disables gtk-based gui called wireshark."
ewarn "Only command line utils will be built available"
fi
if use python; then
python_set_active_version 2
python_pkg_setup
fi
# Add group for users allowed to sniff.
enewgroup wireshark
}
src_prepare() {
epatch "${FILESDIR}/${P}-build.patch"
epatch "${FILESDIR}/${P}-doc-build.patch"
use btbb && mv "${WORKDIR}"/libbtbb-0.6/wireshark/plugins/btbb "${S}"/plugins/
use btbb && epatch "${FILESDIR}/${PN}-1.6-btbb.patch"
eautoreconf
}
src_configure() {
local myconf
if [[ $(gcc-major-version) -lt 3 ||
( $(gcc-major-version) -eq 3 &&
$(gcc-minor-version) -le 4 ) ]] ; then
die "Unsupported compiler version, please upgrade."
fi
if use ares && use adns; then
elog "You asked for both, ares and adns, but we can use only one of them."
elog "c-ares supersedes adns resolver thus using c-ares (ares USE flag)."
myconf="$(use_with ares c-ares) --without-adns"
else
myconf="$(use_with adns) $(use_with ares c-ares)"
fi
# profile and pie are incompatible #215806, #292991
if use profile; then
ewarn "You've enabled the 'profile' USE flag, building PIE binaries is disabled."
ewarn "Also ignore \"unrecognized option '-nopie'\" gcc warning #358101."
append-flags $(test-flags-CC -nopie)
fi
# Workaround bug #213705. If krb5-config --libs has -lcrypto then pass
# --with-ssl to ./configure. (Mimics code from acinclude.m4).
if use kerberos; then
case `krb5-config --libs` in
*-lcrypto*)
ewarn "Kerberos was built with ssl support: linkage with openssl is enabled."
ewarn "Note there are annoying license incompatibilities between the OpenSSL"
ewarn "license and the GPL, so do your check before distributing such package."
myconf+=" --with-ssl"
;;
esac
fi
# Hack around inability to disable doxygen/fop doc generation
use doc || export ac_cv_prog_HAVE_DOXYGEN=false
use doc-pdf || export ac_cv_prog_HAVE_FOP=false
# dumpcap requires libcap, setuid-install requires dumpcap
econf $(use_enable gtk wireshark) \
$(use_enable profile profile-build) \
$(use_with ssl gnutls) \
$(use_with gcrypt) \
$(use_enable ipv6) \
$(use_enable threads) \
$(use_with lua) \
$(use_with kerberos krb5) \
$(use_with smi libsmi) \
$(use_with zlib) \
$(use_with geoip) \
$(use_with portaudio) \
$(use_with python) \
$(use_with caps libcap) \
$(use_with pcap) \
$(use_with pcap dumpcap-group wireshark) \
$(use pcap && use_enable caps setcap-install) \
$(use pcap && use_enable !caps setuid-install) \
--sysconfdir="${EPREFIX}"/etc/wireshark \
--disable-extra-gcc-checks \
${myconf}
}
src_compile() {
emake || die
use doc && cd docbook && { emake || die; }
}
src_install() {
emake DESTDIR="${D}" install || die "emake install failed"
if use doc; then
dohtml -r docbook/{release-notes.html,ws{d,u}g_html{,_chunked}}
if use doc-pdf; then
insinto /usr/share/doc/${PF}/pdf/
doins docbook/{{developer,user}-guide,release-notes}-{a4,us}.pdf || die
fi
fi
# FAQ is not required as is installed from help/faq.txt
dodoc AUTHORS ChangeLog NEWS README{,.bsd,.linux,.macos,.vmware} \
doc/{randpkt.txt,README*}
insinto /usr/include/wiretap
doins wiretap/wtap.h || die
if use gtk; then
for c in hi lo; do
for d in 16 32 48; do
insinto /usr/share/icons/${c}color/${d}x${d}/apps
newins image/${c}${d}-app-wireshark.png wireshark.png
done
done
domenu wireshark.desktop || die
fi
use pcap && chmod o-x "${ED}"/usr/bin/dumpcap #357237
}
pkg_postinst() {
if use caps && use pcap; then
fcaps 0:wireshark 550 cap_net_raw,cap_net_admin "${EROOT}"/usr/bin/dumpcap
fi
echo
ewarn "NOTE: To run wireshark as normal user you have to add yourself to"
ewarn "the wireshark group. This security measure ensures that only trusted"
ewarn "users are allowed to sniff your traffic."
echo
}

View file

@ -1,221 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-analyzer/wireshark/wireshark-1.6.4.ebuild,v 1.8 2012/01/06 18:52:52 armin76 Exp $
EAPI="3"
PYTHON_DEPEND="python? 2"
inherit libtool flag-o-matic eutils toolchain-funcs python autotools
[[ -n ${PV#*_rc} && ${PV#*_rc} != ${PV} ]] && MY_P=${PN}-${PV/_} || MY_P=${P}
DESCRIPTION="A network protocol analyzer formerly known as ethereal"
HOMEPAGE="http://www.wireshark.org/"
SRC_URI="http://www.wireshark.org/download/src/all-versions/${MY_P}.tar.bz2 \
btbb? ( mirror://sourceforge/libbtbb/libbtbb-0.6.tar.gz )"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 hppa ia64 ppc ppc64 sparc x86 ~x86-fbsd"
IUSE="adns ares btbb doc doc-pdf gtk ipv6 lua gcrypt geoip kerberos
profile +pcap portaudio python +caps selinux smi ssl threads zlib"
RDEPEND=">=dev-libs/glib-2.14:2
zlib? ( sys-libs/zlib
!=sys-libs/zlib-1.2.4 )
smi? ( net-libs/libsmi )
gtk? ( >=x11-libs/gtk+-2.4.0:2
x11-libs/pango
dev-libs/atk
x11-misc/xdg-utils )
ssl? ( net-libs/gnutls )
gcrypt? ( dev-libs/libgcrypt )
pcap? ( net-libs/libpcap )
caps? ( sys-libs/libcap )
kerberos? ( virtual/krb5 )
portaudio? ( media-libs/portaudio )
ares? ( >=net-dns/c-ares-1.5 )
!ares? ( adns? ( net-libs/adns ) )
geoip? ( dev-libs/geoip )
lua? ( >=dev-lang/lua-5.1 )
selinux? ( sec-policy/selinux-wireshark )"
DEPEND="${RDEPEND}
doc? ( dev-libs/libxslt
dev-libs/libxml2
app-doc/doxygen
doc-pdf? ( dev-java/fop ) )
>=dev-util/pkgconfig-0.15.0
dev-lang/perl
sys-devel/bison
sys-apps/sed
sys-devel/flex
!!<net-analyzer/wireshark-1.6.0_rc1"
S=${WORKDIR}/${MY_P}
# borrowed from GSoC2010_Gentoo_Capabilities by constanze and flameyeys
# @FUNCTION: fcaps
# @USAGE: fcaps {uid:gid} {file-mode} {cap1[,cap2,...]} {file}
# @RETURN: 0 if all okay; non-zero if failure and fallback
# @DESCRIPTION:
# fcaps sets the specified capabilities in the effective and permitted set of
# the given file. In case of failure fcaps sets the given file-mode.
fcaps() {
local uid_gid=$1
local perms=$2
local capset=$3
local path=$4
local res
chmod $perms $path && \
chown $uid_gid $path
res=$?
use caps || return $res
#set the capability
setcap "$capset=ep" "$path" &> /dev/null
#check if the capabilitiy got set correctly
setcap -v "$capset=ep" "$path" &> /dev/null
res=$?
if [ $res -ne 0 ]; then
ewarn "Failed to set capabilities. Probable reason is missed kernel support."
ewarn "Kernel must have <FS>_FS_SECURITY enabled where <FS> is the filesystem"
ewarn "to store ${path} (e.g. EXT3_FS_SECURITY). For kernels version before"
ewarn "2.6.33_rc1 SECURITY_FILE_CAPABILITIES must be enabled as well."
ewarn
ewarn "Falling back to suid now..."
chmod u+s ${path}
fi
return $res
}
pkg_setup() {
if ! use gtk; then
ewarn "USE=-gtk disables gtk-based gui called wireshark."
ewarn "Only command line utils will be built available"
fi
if use python; then
python_set_active_version 2
python_pkg_setup
fi
# Add group for users allowed to sniff.
enewgroup wireshark
}
src_prepare() {
use btbb && mv "${WORKDIR}"/libbtbb-0.6/wireshark/plugins/btbb "${S}"/plugins/
use btbb && epatch "${FILESDIR}/${PN}-1.6-btbb.patch"
eautoreconf
}
src_configure() {
local myconf
if [[ $(gcc-major-version) -lt 3 ||
( $(gcc-major-version) -eq 3 &&
$(gcc-minor-version) -le 4 ) ]] ; then
die "Unsupported compiler version, please upgrade."
fi
if use ares && use adns; then
elog "You asked for both, ares and adns, but we can use only one of them."
elog "c-ares supersedes adns resolver thus using c-ares (ares USE flag)."
myconf="$(use_with ares c-ares) --without-adns"
else
myconf="$(use_with adns) $(use_with ares c-ares)"
fi
# profile and pie are incompatible #215806, #292991
if use profile; then
ewarn "You've enabled the 'profile' USE flag, building PIE binaries is disabled."
ewarn "Also ignore \"unrecognized option '-nopie'\" gcc warning #358101."
append-flags $(test-flags-CC -nopie)
fi
# Workaround bug #213705. If krb5-config --libs has -lcrypto then pass
# --with-ssl to ./configure. (Mimics code from acinclude.m4).
if use kerberos; then
case `krb5-config --libs` in
*-lcrypto*)
ewarn "Kerberos was built with ssl support: linkage with openssl is enabled."
ewarn "Note there are annoying license incompatibilities between the OpenSSL"
ewarn "license and the GPL, so do your check before distributing such package."
myconf+=" --with-ssl"
;;
esac
fi
# Hack around inability to disable doxygen/fop doc generation
use doc || export ac_cv_prog_HAVE_DOXYGEN=false
use doc-pdf || export ac_cv_prog_HAVE_FOP=false
# dumpcap requires libcap, setuid-install requires dumpcap
econf $(use_enable gtk wireshark) \
$(use_enable profile profile-build) \
$(use_with ssl gnutls) \
$(use_with gcrypt) \
$(use_enable ipv6) \
$(use_enable threads) \
$(use_with lua) \
$(use_with kerberos krb5) \
$(use_with smi libsmi) \
$(use_with zlib) \
$(use_with geoip) \
$(use_with portaudio) \
$(use_with python) \
$(use_with caps libcap) \
$(use_with pcap) \
$(use_with pcap dumpcap-group wireshark) \
$(use pcap && use_enable caps setcap-install) \
$(use pcap && use_enable !caps setuid-install) \
--sysconfdir="${EPREFIX}"/etc/wireshark \
--disable-extra-gcc-checks \
${myconf}
}
src_compile() {
emake || die
use doc && cd docbook && { emake || die; }
}
src_install() {
emake DESTDIR="${D}" install || die "emake install failed"
if use doc; then
dohtml -r docbook/{release-notes.html,ws{d,u}g_html{,_chunked}}
if use doc-pdf; then
insinto /usr/share/doc/${PF}/pdf/
doins docbook/{{developer,user}-guide,release-notes}-{a4,us}.pdf || die
fi
fi
# FAQ is not required as is installed from help/faq.txt
dodoc AUTHORS ChangeLog NEWS README{,.bsd,.linux,.macos,.vmware} \
doc/{randpkt.txt,README*}
insinto /usr/include/wiretap
doins wiretap/wtap.h || die
if use gtk; then
for c in hi lo; do
for d in 16 32 48; do
insinto /usr/share/icons/${c}color/${d}x${d}/apps
newins image/${c}${d}-app-wireshark.png wireshark.png
done
done
domenu wireshark.desktop || die
fi
use pcap && chmod o-x "${ED}"/usr/bin/dumpcap #357237
}
pkg_postinst() {
if use caps && use pcap; then
fcaps 0:wireshark 550 cap_net_raw,cap_net_admin "${EROOT}"/usr/bin/dumpcap
fi
echo
ewarn "NOTE: To run wireshark as normal user you have to add yourself to"
ewarn "the wireshark group. This security measure ensures that only trusted"
ewarn "users are allowed to sniff your traffic."
echo
}

View file

@ -43,7 +43,7 @@ DEPEND="${RDEPEND}
dev-libs/libxml2
app-doc/doxygen
doc-pdf? ( dev-java/fop ) )
>=dev-util/pkgconfig-0.15.0
virtual/pkgconfig
dev-lang/perl
sys-devel/bison
sys-apps/sed

View file

@ -43,7 +43,7 @@ DEPEND="${RDEPEND}
dev-libs/libxml2
app-doc/doxygen
doc-pdf? ( dev-java/fop ) )
>=dev-util/pkgconfig-0.15.0
virtual/pkgconfig
dev-lang/perl
sys-devel/bison
sys-apps/sed

View file

@ -43,7 +43,7 @@ DEPEND="${RDEPEND}
dev-libs/libxml2
app-doc/doxygen
doc-pdf? ( dev-java/fop ) )
>=dev-util/pkgconfig-0.15.0
virtual/pkgconfig
dev-lang/perl
sys-devel/bison
sys-apps/sed

View file

@ -43,7 +43,7 @@ DEPEND="${RDEPEND}
dev-libs/libxml2
app-doc/doxygen
doc-pdf? ( dev-java/fop ) )
>=dev-util/pkgconfig-0.15.0
virtual/pkgconfig
dev-lang/perl
sys-devel/bison
sys-apps/sed

View file

@ -43,7 +43,7 @@ DEPEND="${RDEPEND}
dev-libs/libxml2
app-doc/doxygen
doc-pdf? ( dev-java/fop ) )
>=dev-util/pkgconfig-0.15.0
virtual/pkgconfig
dev-lang/perl
sys-devel/bison
sys-apps/sed

View file

@ -1,2 +1,2 @@
DIST libvidcap-0.2.1.tar.gz 403750 RMD160 fc337d478f6c0a98e914d28caa6628203944c34b SHA1 2956d860981eb947bbb174b3f94bccc9de3d85ed SHA256 50bdabe1bb809e52677c3d5a02e118ce4a6d22828e42aebc8741e5b9a042741a
EBUILD libvidcap-0.2.1.ebuild 550 RMD160 1323eb6ea790c3a17474a462747f5992357a85b6 SHA1 c9ed08f67a09fea27140c13cd36b23631b1a2dcc SHA256 be575164d478f795df7f5d65407ed5b2fe75385fdaff785e6788da7cfbfb44e2
EBUILD libvidcap-0.2.1.ebuild 549 RMD160 366a8301bc387de368d417cffd727702143fdeb8 SHA1 6e5687b377a77150f327eff2b578b129bb836179 SHA256 f19de5034074a2cd1be17e8445aad8205d1a9093d62968110a26424815cfe798

View file

@ -13,7 +13,7 @@ SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND="dev-util/pkgconfig"
DEPEND="virtual/pkgconfig"
S="${WORKDIR}/${PN}-${MY_PV}"

View file

@ -1,8 +0,0 @@
DIST iw-0.9.22.tar.bz2 50526 RMD160 bfc65cb72f1dbd73674b5207577882500c7ac253 SHA1 a91226daab473d1aa0b6586c61f1c62db9618b7d SHA256 138ce4dc827d8b0af55fe1c444e749b985c1540d791b27922aad880d12908bb1
DIST iw-3.0.tar.bz2 56543 RMD160 fbdaf430e0f03aa975cf5a416bd6604740c32318 SHA1 46817671757fae640d4ec3b36d54f4cc73604bad SHA256 a0ccbf1ce71ae4bdb05495ca18ab00a87c06dce2c3bf8b8358c615e60c4632fb
DIST iw-3.1.tar.bz2 57450 RMD160 fee741d20e2f253d51eab0062d2ff2df61159618 SHA1 559636c4f73485db6fd4bf6f438e60fe5f23f569 SHA256 24e69f2596827669b2f47f033bd502c003e6f1ff58ccbeeb1cff9cdc56ae828a
DIST iw-3.2.tar.bz2 59856 RMD160 3007ee3aeb0c4f064c23e801e4b40f71a95b3045 SHA1 2871d58ab1f8d5b2b8d548d57489873f21c085be SHA256 370edabe6f73cc55be77a7502a3a25d23ec2aea900ae4ca3cec19d55bf8bdb12
EBUILD iw-0.9.22.ebuild 718 RMD160 2134828b57151997bb9b469f6ce08e9c339c80fd SHA1 803b677ba7f487d9196ce39e4ec496b2780a3cd6 SHA256 ac379da61019cc586c1a64af903bff84b876a7f809758894a5256e8511f7b857
EBUILD iw-3.0.ebuild 740 RMD160 93097e834f009ef55ea0396196924eefffb0824d SHA1 77c1fece6443d8365183964e379c26aa3f185843 SHA256 f6776f7120c82fa61f42f541cc2464f2896bf2d2e09a8bbd35c420b249931820
EBUILD iw-3.1.ebuild 740 RMD160 93097e834f009ef55ea0396196924eefffb0824d SHA1 77c1fece6443d8365183964e379c26aa3f185843 SHA256 f6776f7120c82fa61f42f541cc2464f2896bf2d2e09a8bbd35c420b249931820
EBUILD iw-3.2.ebuild 740 RMD160 93097e834f009ef55ea0396196924eefffb0824d SHA1 77c1fece6443d8365183964e379c26aa3f185843 SHA256 f6776f7120c82fa61f42f541cc2464f2896bf2d2e09a8bbd35c420b249931820

View file

@ -1,25 +0,0 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-wireless/iw/iw-0.9.14.ebuild,v 1.1 2009/05/13 13:15:56 chainsaw Exp $
inherit toolchain-funcs
DESCRIPTION="nl80211-based configuration utility for wireless devices using the mac80211 kernel stack"
HOMEPAGE="http://wireless.kernel.org/en/users/Documentation/iw"
SRC_URI="http://wireless.kernel.org/download/${PN}/${P}.tar.bz2"
LICENSE="as-is"
SLOT="0"
KEYWORDS="amd64 ~arm ~ppc x86"
IUSE=""
RDEPEND=">=dev-libs/libnl-1.1"
DEPEND="${RDEPEND}
dev-util/pkgconfig"
CC=$(tc-getCC)
LD=$(tc-getLD)
src_install() {
emake install DESTDIR="${D}" || die "Failed to install"
}

View file

@ -1,25 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-wireless/iw/iw-0.9.22.ebuild,v 1.3 2011/07/17 20:42:43 maekke Exp $
inherit toolchain-funcs
DESCRIPTION="nl80211-based configuration utility for wireless devices using the mac80211 kernel stack"
HOMEPAGE="http://wireless.kernel.org/en/users/Documentation/iw"
SRC_URI="http://wireless.kernel.org/download/${PN}/${P}.tar.bz2"
LICENSE="as-is"
SLOT="0"
KEYWORDS="amd64 ~arm ~ppc x86 ~amd64-linux ~x86-linux"
IUSE=""
RDEPEND=">=dev-libs/libnl-1.1"
DEPEND="${RDEPEND}
dev-util/pkgconfig"
CC=$(tc-getCC)
LD=$(tc-getLD)
src_install() {
emake install DESTDIR="${D}" || die "Failed to install"
}

View file

@ -1,25 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-wireless/iw/iw-0.9.22.ebuild,v 1.3 2011/07/17 20:42:43 maekke Exp $
inherit toolchain-funcs
DESCRIPTION="nl80211-based configuration utility for wireless devices using the mac80211 kernel stack"
HOMEPAGE="http://wireless.kernel.org/en/users/Documentation/iw"
SRC_URI="http://wireless.kernel.org/download/${PN}/${P}.tar.bz2"
LICENSE="as-is"
SLOT="0"
KEYWORDS="amd64 ~arm ~ppc x86 ~amd64-linux ~x86-linux"
IUSE=""
RDEPEND=">=dev-libs/libnl-1.1"
DEPEND="${RDEPEND}
dev-util/pkgconfig"
CC=$(tc-getCC)
LD=$(tc-getLD)
src_install() {
emake install DESTDIR="${D}" || die "Failed to install"
}

View file

@ -1,25 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-wireless/iw/iw-0.9.22.ebuild,v 1.3 2011/07/17 20:42:43 maekke Exp $
inherit toolchain-funcs
DESCRIPTION="nl80211-based configuration utility for wireless devices using the mac80211 kernel stack"
HOMEPAGE="http://wireless.kernel.org/en/users/Documentation/iw"
SRC_URI="http://wireless.kernel.org/download/${PN}/${P}.tar.bz2"
LICENSE="as-is"
SLOT="0"
KEYWORDS="amd64 ~arm ~ppc x86 ~amd64-linux ~x86-linux"
IUSE=""
RDEPEND=">=dev-libs/libnl-1.1"
DEPEND="${RDEPEND}
dev-util/pkgconfig"
CC=$(tc-getCC)
LD=$(tc-getLD)
src_install() {
emake install DESTDIR="${D}" || die "Failed to install"
}

View file

@ -7,10 +7,6 @@ AUX kismet.initd 742 RMD160 f91c46a9a3d1cac2610659e65a1a3538af4f2772 SHA1 54aa3d
AUX makefile.patch 5112 RMD160 49a99899c1358c9f1ff37c03cb25166cd18ac61d SHA1 b9c195d0b72035c545fda2a19a8a487757f79710 SHA256 17f7074d0a6d3bf0f54278dd6d7a82a3fe1f2a935cd3dcef693b0177dc0ddd1a
AUX plugins-ldflags.patch 385 RMD160 c6b1ff5adff82b6b5c42703ff322c95ef3c24ff7 SHA1 34cc545832db7ad8ed90a9d2a52e048487dc5548 SHA256 0cff39e40278880d4810569dc1a17c156a3e3a11579b0ce94ce394795aba1765
DIST kismet-2011-03-R2.tar.gz 924988 RMD160 58fcc5e8e438fa9d94959ea0c5b2c914ebf44081 SHA1 c01706b0441a3ea412386930bcbaf56187c66d27 SHA256 71a099fb724951cdd55c28e492432ca21657534c91a536c206f3e0a8686d2a64
EBUILD kismet-2011.03.2-r3.ebuild 4527 RMD160 4c8d960c73a2f178c64dedc8b9953bfe0153b663 SHA1 e5a0d769224e1d57c2657a825ec74d01d8031117 SHA256 69436f8371b09f65f1693f1799adfba30ae6db4614ac63f9fd238fc7b76bd571
EBUILD kismet-2011.03.2-r4.ebuild 4589 RMD160 9298e8196a454f613d5b2cb6d21eb97f472af44b SHA1 512f6472cca86a277679fe68255b23c9800b4807 SHA256 4201ee0704ac964f64f26be889e2caba964eb0cd1e3395c2d1f682b54ec266e4
EBUILD kismet-2011.03.2-r5.ebuild 4307 RMD160 01d751694d6de7f4c8c3e5bc458a5172cb100ff5 SHA1 31d3d3a0ed6deb62aad51683c924336b3e273a84 SHA256 58b400bc688a80f591ab85ee3f8af5237485998e5ca53f47ecc5ae994c057d0c
EBUILD kismet-2011.03.2-r6.ebuild 4347 RMD160 2730e6c6a2f550f57fadda0d674b78ffd61bbfe7 SHA1 ecb3bed178a17e0f020fb6641f0a3928544ee41d SHA256 82b7eef46b874a24a120ed82b37e29fc9974dfa5ee44e8b900840fcee1cc5e40
EBUILD kismet-2011.03.2-r7.ebuild 4140 RMD160 37dc0200d792fdd5870e1b2e914a6592321e3028 SHA1 77e626ec57ddb15ba1af41237eb706e00ffde705 SHA256 9eec7cc2ee22e693536b1af49cac0c83597c4a42df8a778b1c94fb83532522cb
EBUILD kismet-9999.ebuild 3932 RMD160 64ba0274665c48be9eec71448ae3da8c22bc1c12 SHA1 358f9eab7239d5ad75f64c9ad50e45b76ce2c682 SHA256 e752606829bd149565be4779c7bebbc2c2f0055d6cdc19b1d896fc9378f19089
EBUILD kismet-2011.03.2-r7.ebuild 4139 RMD160 67e7e7d88782ad895f74d1de5bca95a79a6a506a SHA1 00442dde6e1cb1f505a8fa541b92d6e93c6fbeeb SHA256 aacc6066b47aa1131228b3b46d02ac8cd2bccd1e0549aaecbabf2a67623be79a
EBUILD kismet-9999.ebuild 3931 RMD160 55406b41cc912f0f70a0188bec24be684aa3c548 SHA1 7d3a70541cecb16e62687f5c03179607cbc48807 SHA256 0bb180ef7ef2d302d95e2c9834a24269f4b22e9908ca0fb7f707cf927a4bbdc2
MISC metadata.xml 752 RMD160 fab1c88b553c13210494a57a04b2d62536a4f944 SHA1 11fb1ef46c28a2862a850b13e9af6fb405b8a008 SHA256 661ef87ec9fa7e443e0c3741199c1a9217a0932e1023288030a8cfbdbea0256a

View file

@ -1,162 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=4
inherit toolchain-funcs linux-info eutils
MY_P=${P/\./-}
MY_P=${MY_P/./-R}
S=${WORKDIR}/${MY_P}
if [[ ${PV} == "9999" ]] ; then
ESVN_REPO_URI="https://www.kismetwireless.net/code/svn/trunk"
inherit subversion
KEYWORDS="~amd64 ~arm ~ppc ~x86"
else
SRC_URI="http://www.kismetwireless.net/code/${MY_P}.tar.gz"
#Few dependencies are still not stable. Comment out keywords during repoman testing
KEYWORDS="amd64 arm ppc x86"
fi
DESCRIPTION="IEEE 802.11 wireless LAN sniffer"
HOMEPAGE="http://www.kismetwireless.net/"
LICENSE="GPL-2"
SLOT="0"
IUSE="+ncurses +pcre speech +plugin-autowep plugin-btscan +plugin-dot15d4 +plugin-ptw +plugin-spectools +ruby +suid"
RDEPEND="net-wireless/wireless-tools
kernel_linux? ( sys-libs/libcap
>=dev-libs/libnl-1.1 )
net-libs/libpcap
pcre? ( dev-libs/libpcre )
suid? ( sys-libs/libcap )
ncurses? ( sys-libs/ncurses )
speech? ( app-accessibility/flite )
ruby? ( dev-lang/ruby )
plugin-btscan? ( <=net-wireless/bluez-4.96 )
plugin-dot15d4? ( <dev-libs/libusb-1 )
plugin-spectools? ( net-wireless/spectools )"
DEPEND="${RDEPEND}
dev-util/pkgconfig"
src_prepare() {
epatch "${FILESDIR}"/kismet-pentoo.patch
sed -i -e "s:^\(logtemplate\)=\(.*\):\1=/tmp/\2:" \
conf/kismet.conf.in
# Don't strip and set correct mangrp
sed -i -e 's| -s||g' \
-e 's|@mangrp@|root|g' Makefile.in
epatch "${FILESDIR}"/makefile.patch
epatch "${FILESDIR}"/plugins-ldflags.patch
epatch "${FILESDIR}"/bluechanfix_r3184.patch
}
src_configure() {
# the configure script only honors '--disable-foo'
# local myconf="--disable-gpsmap"
if ! use ncurses; then
myconf="${myconf} --disable-curses --disable-panel"
fi
if ! use pcre; then
myconf="${myconf} --disable-pcre"
fi
econf ${myconf} \
--with-linuxheaders="${KV_DIR}" || die "econf failed"
}
src_compile() {
emake dep || die "emake dep failed"
emake || die "emake failed"
if use plugin-autowep; then
cd "${S}"/plugin-autowep
KIS_SRC_DIR="${S}" emake || die "emake failed"
fi
if use plugin-btscan; then
cd "${S}"/plugin-btscan
KIS_SRC_DIR="${S}" emake || die "emake failed"
fi
if use plugin-dot15d4; then
cd "${S}"/plugin-dot15d4
KIS_SRC_DIR="${S}" emake || die "emake failed"
fi
if use plugin-ptw; then
cd "${S}"/plugin-ptw
KIS_SRC_DIR="${S}" emake || die "emake failed"
fi
if use plugin-spectools; then
cd "${S}"/plugin-spectools
KIS_SRC_DIR="${S}" emake || die "emake failed"
fi
}
src_install() {
if use plugin-autowep; then
cd "${S}"/plugin-autowep
KIS_SRC_DIR="${S}" emake DESTDIR="${ED}" LIBDIR="$(get_libdir)" install || die "emake install failed"
fi
if use plugin-btscan; then
cd "${S}"/plugin-btscan
KIS_SRC_DIR="${S}" emake DESTDIR="${ED}" LIBDIR="$(get_libdir)" install || die "emake install failed"
fi
if use plugin-dot15d4; then
cd "${S}"/plugin-dot15d4
KIS_SRC_DIR="${S}" emake DESTDIR="${ED}" LIBDIR="$(get_libdir)" install || die "emake install failed"
fi
if use plugin-ptw; then
cd "${S}"/plugin-ptw
KIS_SRC_DIR="${S}" emake DESTDIR="${ED}" LIBDIR="$(get_libdir)" install || die "emake install failed"
fi
if use plugin-spectools; then
cd "${S}"/plugin-spectools
KIS_SRC_DIR="${S}" emake DESTDIR="${ED}" LIBDIR="$(get_libdir)" install || die "emake install failed"
fi
if use ruby; then
cd "${S}"/ruby
dobin *.rb
fi
cd "${S}"
emake DESTDIR="${D}" commoninstall || die "emake install failed"
##dragorn would prefer I set fire to my head than do this, but it works
# install headers for external plugins
insinto /usr/include/kismet
doins *.h || die "Header installation failed"
doins Makefile.inc
#write a plugin finder that tells you what needs to be rebuilt when kismet is updated, etc
dodoc CHANGELOG RELEASENOTES.txt README* docs/DEVEL.client docs/README.newcore || die
newinitd "${FILESDIR}"/${PN}.initd kismet
newconfd "${FILESDIR}"/${PN}.confd kismet
insinto /etc
doins conf/kismet{,_drone}.conf || die
if use suid; then
dobin kismet_capture || die
fi
}
pkg_preinst() {
if use suid; then
enewgroup kismet
fowners root:kismet /usr/bin/kismet_capture || die
# Need to set the permissions after chowning.
# See chown(2)
fperms 4550 /usr/bin/kismet_capture || die
elog "Kismet has been installed with a setuid-root helper binary"
elog "to enable minimal-root operation. Users need to be part of"
elog "the 'kismet' group to perform captures from physical devices."
fi
}

View file

@ -1,163 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=4
inherit toolchain-funcs linux-info eutils
MY_P=${P/\./-}
MY_P=${MY_P/./-R}
S=${WORKDIR}/${MY_P}
if [[ ${PV} == "9999" ]] ; then
ESVN_REPO_URI="https://www.kismetwireless.net/code/svn/trunk"
inherit subversion
KEYWORDS="~amd64 ~arm ~ppc ~x86"
else
SRC_URI="http://www.kismetwireless.net/code/${MY_P}.tar.gz"
#Few dependencies are still not stable. Comment out keywords during repoman testing
KEYWORDS="amd64 arm ppc x86"
fi
DESCRIPTION="IEEE 802.11 wireless LAN sniffer"
HOMEPAGE="http://www.kismetwireless.net/"
LICENSE="GPL-2"
SLOT="0"
IUSE="+ncurses +pcre speech +plugin-autowep plugin-btscan +plugin-dot15d4 +plugin-ptw +plugin-spectools +ruby +suid"
RDEPEND="net-wireless/wireless-tools
kernel_linux? ( sys-libs/libcap
>=dev-libs/libnl-1.1 )
net-libs/libpcap
pcre? ( dev-libs/libpcre )
suid? ( sys-libs/libcap )
ncurses? ( sys-libs/ncurses )
speech? ( app-accessibility/flite )
ruby? ( dev-lang/ruby )
plugin-btscan? ( <=net-wireless/bluez-4.96 )
plugin-dot15d4? ( <dev-libs/libusb-1 )
plugin-spectools? ( net-wireless/spectools )"
DEPEND="${RDEPEND}
dev-util/pkgconfig"
src_prepare() {
epatch "${FILESDIR}"/kismet-pentoo.patch
sed -i -e "s:^\(logtemplate\)=\(.*\):\1=/tmp/\2:" \
conf/kismet.conf.in
# Don't strip and set correct mangrp
sed -i -e 's| -s||g' \
-e 's|@mangrp@|root|g' Makefile.in
epatch "${FILESDIR}"/makefile.patch
epatch "${FILESDIR}"/plugins-ldflags.patch
epatch "${FILESDIR}"/bluechanfix_r3184.patch
epatch "${FILESDIR}"/kismet-console-scrolling-backport.patch
}
src_configure() {
# the configure script only honors '--disable-foo'
# local myconf="--disable-gpsmap"
if ! use ncurses; then
myconf="${myconf} --disable-curses --disable-panel"
fi
if ! use pcre; then
myconf="${myconf} --disable-pcre"
fi
econf ${myconf} \
--with-linuxheaders="${KV_DIR}" || die "econf failed"
}
src_compile() {
emake dep || die "emake dep failed"
emake || die "emake failed"
if use plugin-autowep; then
cd "${S}"/plugin-autowep
KIS_SRC_DIR="${S}" emake || die "emake failed"
fi
if use plugin-btscan; then
cd "${S}"/plugin-btscan
KIS_SRC_DIR="${S}" emake || die "emake failed"
fi
if use plugin-dot15d4; then
cd "${S}"/plugin-dot15d4
KIS_SRC_DIR="${S}" emake || die "emake failed"
fi
if use plugin-ptw; then
cd "${S}"/plugin-ptw
KIS_SRC_DIR="${S}" emake || die "emake failed"
fi
if use plugin-spectools; then
cd "${S}"/plugin-spectools
KIS_SRC_DIR="${S}" emake || die "emake failed"
fi
}
src_install() {
if use plugin-autowep; then
cd "${S}"/plugin-autowep
KIS_SRC_DIR="${S}" emake DESTDIR="${ED}" LIBDIR="$(get_libdir)" install || die "emake install failed"
fi
if use plugin-btscan; then
cd "${S}"/plugin-btscan
KIS_SRC_DIR="${S}" emake DESTDIR="${ED}" LIBDIR="$(get_libdir)" install || die "emake install failed"
fi
if use plugin-dot15d4; then
cd "${S}"/plugin-dot15d4
KIS_SRC_DIR="${S}" emake DESTDIR="${ED}" LIBDIR="$(get_libdir)" install || die "emake install failed"
fi
if use plugin-ptw; then
cd "${S}"/plugin-ptw
KIS_SRC_DIR="${S}" emake DESTDIR="${ED}" LIBDIR="$(get_libdir)" install || die "emake install failed"
fi
if use plugin-spectools; then
cd "${S}"/plugin-spectools
KIS_SRC_DIR="${S}" emake DESTDIR="${ED}" LIBDIR="$(get_libdir)" install || die "emake install failed"
fi
if use ruby; then
cd "${S}"/ruby
dobin *.rb
fi
cd "${S}"
emake DESTDIR="${D}" commoninstall || die "emake install failed"
##dragorn would prefer I set fire to my head than do this, but it works
# install headers for external plugins
insinto /usr/include/kismet
doins *.h || die "Header installation failed"
doins Makefile.inc
#write a plugin finder that tells you what needs to be rebuilt when kismet is updated, etc
dodoc CHANGELOG RELEASENOTES.txt README* docs/DEVEL.client docs/README.newcore || die
newinitd "${FILESDIR}"/${PN}.initd kismet
newconfd "${FILESDIR}"/${PN}.confd kismet
insinto /etc
doins conf/kismet{,_drone}.conf || die
if use suid; then
dobin kismet_capture || die
fi
}
pkg_preinst() {
if use suid; then
enewgroup kismet
fowners root:kismet /usr/bin/kismet_capture || die
# Need to set the permissions after chowning.
# See chown(2)
fperms 4550 /usr/bin/kismet_capture || die
elog "Kismet has been installed with a setuid-root helper binary"
elog "to enable minimal-root operation. Users need to be part of"
elog "the 'kismet' group to perform captures from physical devices."
fi
}

View file

@ -1,163 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=4
inherit toolchain-funcs linux-info eutils
MY_P=${P/\./-}
MY_P=${MY_P/./-R}
S=${WORKDIR}/${MY_P}
if [[ ${PV} == "9999" ]] ; then
ESVN_REPO_URI="https://www.kismetwireless.net/code/svn/trunk"
inherit subversion
KEYWORDS="~amd64 ~arm ~ppc ~x86"
else
SRC_URI="http://www.kismetwireless.net/code/${MY_P}.tar.gz"
#Few dependencies are still not stable. Comment out keywords during repoman testing
KEYWORDS="amd64 arm ppc x86"
fi
DESCRIPTION="IEEE 802.11 wireless LAN sniffer"
HOMEPAGE="http://www.kismetwireless.net/"
LICENSE="GPL-2"
SLOT="0"
IUSE="+ncurses +pcre speech +plugin-autowep +plugin-btscan +plugin-dot15d4 +plugin-ptw +plugin-spectools +ruby +suid"
RDEPEND="net-wireless/wireless-tools
kernel_linux? ( sys-libs/libcap
>=dev-libs/libnl-1.1 )
net-libs/libpcap
pcre? ( dev-libs/libpcre )
suid? ( sys-libs/libcap )
ncurses? ( sys-libs/ncurses )
speech? ( app-accessibility/flite )
ruby? ( dev-lang/ruby )
plugin-btscan? ( net-wireless/bluez \
!=net-wireless/bluez-4.98-r1 )
plugin-dot15d4? ( <dev-libs/libusb-1 )
plugin-spectools? ( net-wireless/spectools )"
DEPEND="${RDEPEND}
dev-util/pkgconfig"
src_prepare() {
epatch "${FILESDIR}"/kismet-pentoo.patch
sed -i -e "s:^\(logtemplate\)=\(.*\):\1=/tmp/\2:" \
conf/kismet.conf.in
# Don't strip and set correct mangrp
sed -i -e 's| -s||g' \
-e 's|@mangrp@|root|g' Makefile.in
epatch "${FILESDIR}"/makefile.patch
epatch "${FILESDIR}"/plugins-ldflags.patch
epatch "${FILESDIR}"/bluechanfix_r3184.patch
epatch "${FILESDIR}"/kismet-console-scrolling-backport.patch
}
src_configure() {
if ! use ncurses; then
myconf="${myconf} --disable-curses --disable-panel"
fi
if ! use pcre; then
myconf="${myconf} --disable-pcre"
fi
econf ${myconf} \
--with-linuxheaders="${KV_DIR}"
}
src_compile() {
emake dep
emake
if use plugin-autowep; then
cd "${S}"/plugin-autowep
KIS_SRC_DIR="${S}" emake
fi
if use plugin-btscan; then
cd "${S}"/plugin-btscan
KIS_SRC_DIR="${S}" emake
fi
if use plugin-dot15d4; then
cd "${S}"/plugin-dot15d4
KIS_SRC_DIR="${S}" emake
fi
if use plugin-ptw; then
cd "${S}"/plugin-ptw
KIS_SRC_DIR="${S}" emake
fi
if use plugin-spectools; then
cd "${S}"/plugin-spectools
KIS_SRC_DIR="${S}" emake
fi
}
src_install() {
if use plugin-autowep; then
cd "${S}"/plugin-autowep
KIS_SRC_DIR="${S}" emake DESTDIR="${ED}" LIBDIR="$(get_libdir)" install
fi
if use plugin-btscan; then
cd "${S}"/plugin-btscan
KIS_SRC_DIR="${S}" emake DESTDIR="${ED}" LIBDIR="$(get_libdir)" install
fi
if use plugin-dot15d4; then
cd "${S}"/plugin-dot15d4
KIS_SRC_DIR="${S}" emake DESTDIR="${ED}" LIBDIR="$(get_libdir)" install
fi
if use plugin-ptw; then
cd "${S}"/plugin-ptw
KIS_SRC_DIR="${S}" emake DESTDIR="${ED}" LIBDIR="$(get_libdir)" install
fi
if use plugin-spectools; then
cd "${S}"/plugin-spectools
KIS_SRC_DIR="${S}" emake DESTDIR="${ED}" LIBDIR="$(get_libdir)" install
fi
if use ruby; then
cd "${S}"/ruby
dobin *.rb
fi
cd "${S}"
emake DESTDIR="${D}" commoninstall
##dragorn would prefer I set fire to my head than do this, but it works
##all external kismet plugins (read: kismet-ubertooth) must be rebuilt when kismet is
##is there an automatic way to force this?
# install headers for external plugins
insinto /usr/include/kismet
doins *.h || die "Header installation failed"
doins Makefile.inc
#t#odo write a plugin finder that tells you what needs to be rebuilt when kismet is updated, etc
dodoc CHANGELOG RELEASENOTES.txt README* docs/DEVEL.client docs/README.newcore || die
newinitd "${FILESDIR}"/${PN}.initd kismet
newconfd "${FILESDIR}"/${PN}.confd kismet
insinto /etc
doins conf/kismet{,_drone}.conf || die
if use suid; then
dobin kismet_capture || die
fi
}
pkg_preinst() {
if use suid; then
enewgroup kismet
fowners root:kismet /usr/bin/kismet_capture || die
# Need to set the permissions after chowning.
# See chown(2)
fperms 4550 /usr/bin/kismet_capture || die
elog "Kismet has been installed with a setuid-root helper binary"
elog "to enable minimal-root operation. Users need to be part of"
elog "the 'kismet' group to perform captures from physical devices."
fi
}

View file

@ -1,163 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=4
inherit toolchain-funcs linux-info eutils
MY_P=${P/\./-}
MY_P=${MY_P/./-R}
S=${WORKDIR}/${MY_P}
if [[ ${PV} == "9999" ]] ; then
ESVN_REPO_URI="https://www.kismetwireless.net/code/svn/trunk"
inherit subversion
KEYWORDS="~amd64 ~arm ~ppc ~x86"
else
SRC_URI="http://www.kismetwireless.net/code/${MY_P}.tar.gz"
#Few dependencies are still not stable. Comment out keywords during repoman testing
KEYWORDS="amd64 arm ppc x86"
fi
DESCRIPTION="IEEE 802.11 wireless LAN sniffer"
HOMEPAGE="http://www.kismetwireless.net/"
LICENSE="GPL-2"
SLOT="0"
IUSE="+ncurses +pcre speech +plugin-autowep +plugin-btscan +plugin-dot15d4 +plugin-ptw +plugin-spectools +ruby +suid"
RDEPEND="net-wireless/wireless-tools
kernel_linux? ( sys-libs/libcap
>=dev-libs/libnl-1.1 )
net-libs/libpcap
pcre? ( dev-libs/libpcre )
suid? ( sys-libs/libcap )
ncurses? ( sys-libs/ncurses )
speech? ( app-accessibility/flite )
ruby? ( dev-lang/ruby )
plugin-btscan? ( net-wireless/bluez \
!=net-wireless/bluez-4.98-r1 )
plugin-dot15d4? ( <dev-libs/libusb-1 )
plugin-spectools? ( net-wireless/spectools )"
DEPEND="${RDEPEND}
dev-util/pkgconfig"
src_prepare() {
epatch "${FILESDIR}"/kismet-pentoo.patch
sed -i -e "s:^\(logtemplate\)=\(.*\):\1=/tmp/\2:" \
conf/kismet.conf.in
# Don't strip and set correct mangrp
sed -i -e 's| -s||g' \
-e 's|@mangrp@|root|g' Makefile.in
epatch "${FILESDIR}"/makefile.patch
epatch "${FILESDIR}"/plugins-ldflags.patch
epatch "${FILESDIR}"/bluechanfix_r3184.patch
epatch "${FILESDIR}"/kismet-console-scrolling-backport.patch
epatch "${FILESDIR}"/header_alignment_r3326.patch
}
src_configure() {
if ! use ncurses; then
myconf="${myconf} --disable-curses --disable-panel"
fi
if ! use pcre; then
myconf="${myconf} --disable-pcre"
fi
econf ${myconf} \
--with-linuxheaders="${KV_DIR}"
}
src_compile() {
emake
if use plugin-autowep; then
cd "${S}"/plugin-autowep
KIS_SRC_DIR="${S}" emake
fi
if use plugin-btscan; then
cd "${S}"/plugin-btscan
KIS_SRC_DIR="${S}" emake
fi
if use plugin-dot15d4; then
cd "${S}"/plugin-dot15d4
KIS_SRC_DIR="${S}" emake
fi
if use plugin-ptw; then
cd "${S}"/plugin-ptw
KIS_SRC_DIR="${S}" emake
fi
if use plugin-spectools; then
cd "${S}"/plugin-spectools
KIS_SRC_DIR="${S}" emake
fi
}
src_install() {
if use plugin-autowep; then
cd "${S}"/plugin-autowep
KIS_SRC_DIR="${S}" emake DESTDIR="${ED}" LIBDIR="$(get_libdir)" install
fi
if use plugin-btscan; then
cd "${S}"/plugin-btscan
KIS_SRC_DIR="${S}" emake DESTDIR="${ED}" LIBDIR="$(get_libdir)" install
fi
if use plugin-dot15d4; then
cd "${S}"/plugin-dot15d4
KIS_SRC_DIR="${S}" emake DESTDIR="${ED}" LIBDIR="$(get_libdir)" install
fi
if use plugin-ptw; then
cd "${S}"/plugin-ptw
KIS_SRC_DIR="${S}" emake DESTDIR="${ED}" LIBDIR="$(get_libdir)" install
fi
if use plugin-spectools; then
cd "${S}"/plugin-spectools
KIS_SRC_DIR="${S}" emake DESTDIR="${ED}" LIBDIR="$(get_libdir)" install
fi
if use ruby; then
cd "${S}"/ruby
dobin *.rb
fi
cd "${S}"
emake DESTDIR="${D}" commoninstall
##dragorn would prefer I set fire to my head than do this, but it works
##all external kismet plugins (read: kismet-ubertooth) must be rebuilt when kismet is
##is there an automatic way to force this?
# install headers for external plugins
insinto /usr/include/kismet
doins *.h || die "Header installation failed"
doins Makefile.inc
#t#odo write a plugin finder that tells you what needs to be rebuilt when kismet is updated, etc
dodoc CHANGELOG RELEASENOTES.txt README* docs/DEVEL.client docs/README.newcore || die
newinitd "${FILESDIR}"/${PN}.initd kismet
newconfd "${FILESDIR}"/${PN}.confd kismet
insinto /etc
doins conf/kismet{,_drone}.conf || die
if use suid; then
dobin kismet_capture || die
fi
}
pkg_preinst() {
if use suid; then
enewgroup kismet
fowners root:kismet /usr/bin/kismet_capture || die
# Need to set the permissions after chowning.
# See chown(2)
fperms 4550 /usr/bin/kismet_capture || die
elog "Kismet has been installed with a setuid-root helper binary"
elog "to enable minimal-root operation. Users need to be part of"
elog "the 'kismet' group to perform captures from physical devices."
fi
}

View file

@ -42,7 +42,7 @@ RDEPEND="net-wireless/wireless-tools
plugin-spectools? ( net-wireless/spectools )"
DEPEND="${RDEPEND}
dev-util/pkgconfig"
virtual/pkgconfig"
src_prepare() {
epatch "${FILESDIR}"/kismet-pentoo.patch

View file

@ -42,7 +42,7 @@ RDEPEND="net-wireless/wireless-tools
plugin-spectools? ( net-wireless/spectools )"
DEPEND="${RDEPEND}
dev-util/pkgconfig"
virtual/pkgconfig"
src_prepare() {
sed -i -e "s:^\(logtemplate\)=\(.*\):\1=/tmp/\2:" \

View file

@ -1,6 +1,6 @@
DIST ykpers-1.6.2.tar.gz 399621 RMD160 44aed04d63297baff70fcd266ba5c3a34c6905f2 SHA1 f754497be597573ccc6d0e354b0f3427e486e70e SHA256 6b882a22414e19dd1dbc65f3053cdf63fd5dd2548c7311a10bab3c896cf16275
DIST ykpers-1.6.4.tar.gz 403577 RMD160 2947551d20f06eb8859bff463c2e1b0c8012779c SHA1 491af38ed3d91548a4d470b2aa3abf88927effef SHA256 ac89dba93bf6cacda532a8826bb89b196899f30be1b925d5c00d02189a719952
EBUILD ykpers-1.6.2.ebuild 793 RMD160 322a4bf690071eadc4fbfabaaedc0a4010e78aa4 SHA1 78eceac8ccdca2dd01644a9a395f7262ad638ba8 SHA256 25f3b741bd1919ed97febdb4eb3c8464e391fcccc1218d41be9c2e801a91d342
EBUILD ykpers-1.6.4.ebuild 793 RMD160 322a4bf690071eadc4fbfabaaedc0a4010e78aa4 SHA1 78eceac8ccdca2dd01644a9a395f7262ad638ba8 SHA256 25f3b741bd1919ed97febdb4eb3c8464e391fcccc1218d41be9c2e801a91d342
EBUILD ykpers-1.6.2.ebuild 792 RMD160 a3128d181406ec603404e26624107474947b6b7a SHA1 014e07121816c60c0c28888aaff6626bfdb94fa8 SHA256 84576db702df5ee047222f9471a69387a97d6f53867a6a1f8a31802ab87a06e0
EBUILD ykpers-1.6.4.ebuild 792 RMD160 a3128d181406ec603404e26624107474947b6b7a SHA1 014e07121816c60c0c28888aaff6626bfdb94fa8 SHA256 84576db702df5ee047222f9471a69387a97d6f53867a6a1f8a31802ab87a06e0
MISC ChangeLog 482 RMD160 2b9c414156fc73ce8be1c476a620e8b1db0b82f1 SHA1 b9cf4e47f552f78ca21b53cc6eac3328f9e99748 SHA256 a068b65bbda649ce26525c8da938c5a560c19f2a2fda543351914c50a0d0debc
MISC metadata.xml 487 RMD160 862d14a23d65cb493c2ab7fcd7db8c189d5acb99 SHA1 61821361bdcff76ab071d4b6ffaeb8c90458c3a8 SHA256 d9e5f8dafd7261defef4e3f161fa4a5dfd1e6108d7cfcec13481228d2e7e604b

View file

@ -17,7 +17,7 @@ IUSE=""
RDEPEND=">=sys-auth/libyubikey-1.6
>=dev-libs/libusb-1.0.8"
DEPEND="${RDEPEND}
dev-util/pkgconfig"
virtual/pkgconfig"
src_prepare() {
eautoreconf

View file

@ -17,7 +17,7 @@ IUSE=""
RDEPEND=">=sys-auth/libyubikey-1.6
>=dev-libs/libusb-1.0.8"
DEPEND="${RDEPEND}
dev-util/pkgconfig"
virtual/pkgconfig"
src_prepare() {
eautoreconf